using System;
using System.Drawing;
using System.Threading;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace viaticum
{
	/// <summary>
	/// Summary description for FormConnectionDriver.
	/// </summary>
	public class FormConnectionDriver : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label labelDurationScan;
		private System.Windows.Forms.Label labelSec;
		private System.Windows.Forms.CheckBox checkBoxStartAgain;
		private Microsoft.WindowsCE.Forms.InputPanel inputPanelConnection;
		private System.Windows.Forms.TextBox textDuration;
		private System.Windows.Forms.ProgressBar progressBarDuration;
		private System.Windows.Forms.Button buttonScanOnOff;
		private UdpSender us;
		private bool running = false;
		private System.Windows.Forms.StatusBar statusBarConnection;
		private const int shortWait = 200;
		private bool stopShowProgress;
		private int secsBroadcast;
		private bool startAgain;
		private DateTime startTime;
		private System.Windows.Forms.Timer timerUi;
		private int secs_elapsed;
		//private bool pbIsRunning;

		public FormConnectionDriver()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			this.buttonScanOnOff.BackColor = System.Drawing.Color.LimeGreen;		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.progressBarDuration = new System.Windows.Forms.ProgressBar();
			this.labelDurationScan = new System.Windows.Forms.Label();
			this.textDuration = new System.Windows.Forms.TextBox();
			this.labelSec = new System.Windows.Forms.Label();
			this.checkBoxStartAgain = new System.Windows.Forms.CheckBox();
			this.statusBarConnection = new System.Windows.Forms.StatusBar();
			this.inputPanelConnection = new Microsoft.WindowsCE.Forms.InputPanel();
			this.buttonScanOnOff = new System.Windows.Forms.Button();
			this.timerUi = new System.Windows.Forms.Timer();
			// 
			// progressBarDuration
			// 
			this.progressBarDuration.Location = new System.Drawing.Point(8, 224);
			this.progressBarDuration.Size = new System.Drawing.Size(224, 20);
			// 
			// labelDurationScan
			// 
			this.labelDurationScan.Location = new System.Drawing.Point(4, 36);
			this.labelDurationScan.Size = new System.Drawing.Size(68, 20);
			this.labelDurationScan.Text = "Suchdauer";
			// 
			// textDuration
			// 
			this.textDuration.Location = new System.Drawing.Point(64, 32);
			this.textDuration.MaxLength = 4;
			this.textDuration.Size = new System.Drawing.Size(36, 20);
			this.textDuration.Text = "60";
			// 
			// labelSec
			// 
			this.labelSec.Location = new System.Drawing.Point(104, 36);
			this.labelSec.Size = new System.Drawing.Size(28, 20);
			this.labelSec.Text = "Sek.";
			// 
			// checkBoxStartAgain
			// 
			this.checkBoxStartAgain.Location = new System.Drawing.Point(132, 32);
			this.checkBoxStartAgain.Text = "wiederholend";
			// 
			// statusBarConnection
			// 
			this.statusBarConnection.Location = new System.Drawing.Point(0, 248);
			this.statusBarConnection.Size = new System.Drawing.Size(240, 22);
			this.statusBarConnection.Text = "Verbindungswunsch annehmen";
			// 
			// buttonScanOnOff
			// 
			this.buttonScanOnOff.Font = new System.Drawing.Font("Comic Sans MS", 11.25F, System.Drawing.FontStyle.Bold);
			this.buttonScanOnOff.Location = new System.Drawing.Point(8, 60);
			this.buttonScanOnOff.Size = new System.Drawing.Size(224, 160);
			this.buttonScanOnOff.Text = "Verbindung aufnehmen";
			this.buttonScanOnOff.Click += new System.EventHandler(this.buttonScanOnOff_Click);
			// 
			// timerUi
			// 
			this.timerUi.Tick += new System.EventHandler(this.timerUi_Tick);
			// 
			// FormConnectionDriver
			// 
			this.BackColor = System.Drawing.Color.LemonChiffon;
			this.Controls.Add(this.statusBarConnection);
			this.Controls.Add(this.checkBoxStartAgain);
			this.Controls.Add(this.labelSec);
			this.Controls.Add(this.textDuration);
			this.Controls.Add(this.labelDurationScan);
			this.Controls.Add(this.progressBarDuration);
			this.Controls.Add(this.buttonScanOnOff);
			this.Text = "Verbindung";
			this.Closing += new System.ComponentModel.CancelEventHandler(this.FormConnectionDriver_OKClick);
			this.Load += new System.EventHandler(this.FormConnectionDriver_Load);

		}
		#endregion

		private void FormConnectionDriver_Load(object sender, System.EventArgs e)
		{
			try 
			{
				us = new UdpSender();
			}
			catch (Exception) 
			{
				this.inputPanelConnection.Enabled = false;
				this.Close();
			}

		}

		private void startProgressBarHandler ()
		{
			//Debug.WriteLine("startProgressBarHandler");
			stopShowProgress = false;
			this.progressBarDuration.Minimum = 0;
			this.progressBarDuration.Maximum = secsBroadcast;
			startTime = DateTime.Now;
			//Thread tProgress = new Thread(new ThreadStart(handleProgressBar));
			//tProgress.Start();
		}

		private void handleProgressBar() 
		{
			//pbIsRunning = true;

			if (!stopShowProgress) 
			{
				this.progressBarDuration.Invoke(new EventHandler(updateProgress));
				//Thread.Sleep(1500);
				if (secs_elapsed >= secsBroadcast) 
				{
					if (startAgain) 
					{					
						//this.progressBarDuration.Value = this.progressBarDuration.Minimum;
						startTime = DateTime.Now;
					} 
					else 
					{
						stopShowProgress = true;
						this.buttonScanOnOff.Invoke(new EventHandler(buttonScanOnOff_Click));
					}
				}
			}
			//pbIsRunning = false;	
		}

		private void updateProgress(object sender, EventArgs e) 
		{
			//Debug.WriteLine("updateProgress");
			DateTime now = DateTime.Now;
			secs_elapsed = Convert.ToInt32((now.Subtract(startTime)).TotalSeconds);
			if (stopShowProgress) 
			{
				this.progressBarDuration.Value = this.progressBarDuration.Minimum;
			} 
			else 
			{
				if (secs_elapsed < secsBroadcast) 
				{
					this.progressBarDuration.Value = secs_elapsed;
				} 
				else 
				{
					this.progressBarDuration.Value = this.progressBarDuration.Maximum;
				}
			}
		}


		private void buttonScanOnOff_Click(object sender, System.EventArgs e)
		{	
			if (!this.buttonScanOnOff.Enabled) 
			{
				return;
			}
			this.buttonScanOnOff.Enabled = false;
			if (running) 
			{
				stopShowProgress = true;
				us.StopSending = true;
				this.statusBarConnection.Text = "Bitte warten...";
				this.buttonScanOnOff.Text = "Verbindung annehmen";
				this.buttonScanOnOff.BackColor = System.Drawing.Color.LimeGreen;
				this.statusBarConnection.Text = "Verbindungswunsch annehmen";
				this.checkBoxStartAgain.Enabled = true;
				this.textDuration.Enabled = true;
				Thread.Sleep(2000);
				Sound.beep();
				running = false;
			} 
			else 
			{
				// check form settings first
				try 
				{
					secsBroadcast = Convert.ToInt32(this.textDuration.Text);
					if (secsBroadcast < 1 || secsBroadcast > 9999) 
					{
						throw new FormatException();
					}
				} 
				catch (FormatException)
				{
					MessageBox.Show("Bitte Suchdauer 1-9999 eingeben");				
					return;
				}

				// stop broadcast thread if Running
				us.StopSending = true;
				this.statusBarConnection.Text = "Bitte warten...";
				while (us.IsRunning) 
				{
					Thread.Sleep(shortWait);
				}
				this.statusBarConnection.Text = "";
				this.buttonScanOnOff.Text = "Verbindungswunsch ablehnen";
				this.buttonScanOnOff.BackColor = System.Drawing.Color.IndianRed;
				this.checkBoxStartAgain.Enabled = false;
				this.textDuration.Enabled = false;
				running = true;
				us.broadcastAVE();
				startAgain = this.checkBoxStartAgain.Checked;
				startProgressBarHandler();
				timerUi.Interval = 1500;
				timerUi.Enabled = true;				
			}
			this.buttonScanOnOff.Enabled = true;
		}
		private void FormConnectionDriver_OKClick(object sender, System.ComponentModel.CancelEventArgs e)
		{   
			stopShowProgress = true;
			this.statusBarConnection.Text = "Bitte warten...";
			if (us != null) 
			{
				us.StopSending = true;
				while (us.IsRunning) 
				{
					Thread.Sleep(shortWait);
				}
				us.shutdown();
			}
			this.inputPanelConnection.Enabled = false;
		}
		private void timerUi_Tick(object sender, System.EventArgs e)
		{
			if (stopShowProgress) 
			{
				this.progressBarDuration.Invoke(new EventHandler(updateProgress)); // reset progress bar
				timerUi.Enabled = false;
			} 
			else 
			{
				handleProgressBar();
			}
		}
	}
}
