using System;
using System.Drawing;
using System.Collections;
using System.Windows.Forms;
using System.Data;

namespace viaticum
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class FormMain : System.Windows.Forms.Form
	{
		private System.Windows.Forms.MainMenu menuMain;
		private System.Windows.Forms.StatusBar statusBarMain;
		private System.Windows.Forms.PictureBox pictureBoxMain;
		private System.Windows.Forms.MenuItem menuItemLogin;
		private System.Windows.Forms.MenuItem menuItemEinstellungen;
		private System.Windows.Forms.MenuItem menuItemAbout;
		private System.Windows.Forms.MenuItem menuItemVerbindung;

 		public FormMain()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			Context.clear();
		}
		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			base.Dispose( disposing );
		}
		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(FormMain));
			this.menuMain = new System.Windows.Forms.MainMenu();
			this.menuItemLogin = new System.Windows.Forms.MenuItem();
			this.menuItemEinstellungen = new System.Windows.Forms.MenuItem();
			this.menuItemVerbindung = new System.Windows.Forms.MenuItem();
			this.menuItemAbout = new System.Windows.Forms.MenuItem();
			this.statusBarMain = new System.Windows.Forms.StatusBar();
			this.pictureBoxMain = new System.Windows.Forms.PictureBox();
			// 
			// menuMain
			// 
			this.menuMain.MenuItems.Add(this.menuItemLogin);
			this.menuMain.MenuItems.Add(this.menuItemEinstellungen);
			this.menuMain.MenuItems.Add(this.menuItemVerbindung);
			this.menuMain.MenuItems.Add(this.menuItemAbout);
			// 
			// menuItemLogin
			// 
			this.menuItemLogin.Enabled = ((bool)(resources.GetObject("menuItemLogin.Enabled")));
			this.menuItemLogin.Text = resources.GetString("menuItemLogin.Text");
			this.menuItemLogin.Click += new System.EventHandler(this.menuItemLogin_Click);
			// 
			// menuItemEinstellungen
			// 
			this.menuItemEinstellungen.Enabled = ((bool)(resources.GetObject("menuItemEinstellungen.Enabled")));
			this.menuItemEinstellungen.Text = resources.GetString("menuItemEinstellungen.Text");
			this.menuItemEinstellungen.Click += new System.EventHandler(this.menuItemEinstellungen_Click);
			// 
			// menuItemVerbindung
			// 
			this.menuItemVerbindung.Enabled = ((bool)(resources.GetObject("menuItemVerbindung.Enabled")));
			this.menuItemVerbindung.Text = resources.GetString("menuItemVerbindung.Text");
			this.menuItemVerbindung.Click += new System.EventHandler(this.menuItemVerbindung_Click);
			// 
			// menuItemAbout
			// 
			this.menuItemAbout.Enabled = ((bool)(resources.GetObject("menuItemAbout.Enabled")));
			this.menuItemAbout.Text = resources.GetString("menuItemAbout.Text");
			this.menuItemAbout.Click += new System.EventHandler(this.menuItemAbout_Click);
			// 
			// statusBarMain
			// 
			this.statusBarMain.Enabled = ((bool)(resources.GetObject("statusBarMain.Enabled")));
			this.statusBarMain.Font = ((System.Drawing.Font)(resources.GetObject("statusBarMain.Font")));
			this.statusBarMain.Location = ((System.Drawing.Point)(resources.GetObject("statusBarMain.Location")));
			this.statusBarMain.Size = ((System.Drawing.Size)(resources.GetObject("statusBarMain.Size")));
			this.statusBarMain.Text = resources.GetString("statusBarMain.Text");
			this.statusBarMain.Visible = ((bool)(resources.GetObject("statusBarMain.Visible")));
			// 
			// pictureBoxMain
			// 
			this.pictureBoxMain.Image = ((System.Drawing.Image)(resources.GetObject("pictureBoxMain.Image")));
			this.pictureBoxMain.Location = ((System.Drawing.Point)(resources.GetObject("pictureBoxMain.Location")));
			this.pictureBoxMain.Size = ((System.Drawing.Size)(resources.GetObject("pictureBoxMain.Size")));
			this.pictureBoxMain.SizeMode = ((System.Windows.Forms.PictureBoxSizeMode)(resources.GetObject("pictureBoxMain.SizeMode")));
			this.pictureBoxMain.Text = resources.GetString("pictureBoxMain.Text");
			this.pictureBoxMain.Visible = ((bool)(resources.GetObject("pictureBoxMain.Visible")));
			// 
			// FormMain
			// 
			this.ClientSize = ((System.Drawing.Size)(resources.GetObject("$this.ClientSize")));
			this.Controls.Add(this.pictureBoxMain);
			this.Controls.Add(this.statusBarMain);
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.Menu = this.menuMain;
			this.MinimizeBox = false;
			this.Text = resources.GetString("$this.Text");
			this.Visible = ((bool)(resources.GetObject("$this.Visible")));

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>

		static void Main() 
		{
			Application.Run(new FormMain());
		}

		private void menuItemLogin_Click(object sender, System.EventArgs e)
		{
			FormLogin loginForm = new FormLogin();
			loginForm.ShowDialog();
			if (Context.LoggedIn)
			{
				menuItemLogin.Text = "Logout";
				menuItemEinstellungen.Enabled = true;
				menuItemVerbindung.Enabled = (Context.Identcard.ServiceType == Context.EnumServiceType.Fahrer);
				this.statusBarMain.Text = "";
				this.menuItemLogin.Click -= new System.EventHandler(this.menuItemLogin_Click);
				this.menuItemLogin.Click += new System.EventHandler(this.menuItemLogout_Click);
			}

		}
		private void menuItemLogout_Click(object sender, System.EventArgs e)
		{
			menuItemLogin.Text = "Login";
			menuItemEinstellungen.Enabled = false;
			menuItemVerbindung.Enabled = false;
			this.statusBarMain.Text = "Bitte anmelden!";
			this.menuItemLogin.Click -= new System.EventHandler(this.menuItemLogout_Click);
			this.menuItemLogin.Click += new System.EventHandler(this.menuItemLogin_Click);
			Context.clear();
		}

		private void menuItemEinstellungen_Click(object sender, System.EventArgs e)
		{
			if (Context.Identcard.ServiceType == Context.EnumServiceType.Fahrer) 
			{
				FormSettingsDriver driverSettingsForm = new FormSettingsDriver();
				driverSettingsForm.ShowDialog();
			} 
			else 
			{
				FormSettings settingsForm = new FormSettings();
				settingsForm.ShowDialog();
				if (Context.ReqDestination1 != null && !Context.ReqDestination1.Equals("")) 
				{
					menuItemVerbindung.Enabled = true;

					/* TEST!
					XMLPackaging x = new XMLPackaging();
					byte[] b = x.via2xml(Context.Identcard.PubXml, Context.Identcard.SigPub, Context.ReqDestination1,
						Context.ReqDestination2, Context.ReqDestination2Optional, Context.ReqGender,
						Context.ReqAgeFrom, Context.ReqAgeTo, Context.ReqNonSmoker, Context.ReqMaySmoke, 
						Context.ReqAgeCar, Context.ReqHasAbs, Context.ReqHasAirbag, Context.ReqSeat);
					string PubXml;
					string SigPub;
					string ReqDestination1;
					string ReqDestination2;
					bool ReqDestination2Optional, ReqNonSmoker, ReqMaySmoke, ReqHasAbs, ReqHasAirbag;
					Context.EnumGender ReqGender;
					Context.EnumSeat ReqSeat;
					int ReqAgeFrom, ReqAgeTo, ReqAgeCar; 
					x.xml2via(b, out PubXml, out SigPub, out ReqDestination1,
						out ReqDestination2, out ReqDestination2Optional, out ReqGender,
						out ReqAgeFrom, out ReqAgeTo, out ReqNonSmoker, out ReqMaySmoke, 
						out ReqAgeCar, out ReqHasAbs, out ReqHasAirbag, out ReqSeat);
					RsaCrypt rsa = new RsaCrypt(null, Context.Identcard.MasterPubKey);
					if (!rsa.verifyData(PubXml, SigPub)) 
					{
						MessageBox.Show("invalid Data!!!");
						return;
					}
					*/
				} 
				else 
				{
					menuItemVerbindung.Enabled = false;
				}
			}
		}

		private void menuItemAbout_Click(object sender, System.EventArgs e)
		{
			FormAbout aboutForm = new FormAbout();
			aboutForm.ShowDialog();		
		}

		private void menuItemVerbindung_Click(object sender, System.EventArgs e)
		{
			if (Context.Identcard.ServiceType == Context.EnumServiceType.Fahrer) 
			{
				FormConnectionDriver driverConnectionForm = new FormConnectionDriver();
				driverConnectionForm.ShowDialog();
			} 
			else 
			{
				FormConnection connectionForm = new FormConnection();
				connectionForm.ShowDialog();
			}		
		}

	}

}

