using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.IO;

namespace viaticum
{
	/// <summary>
	/// Summary description for FormSettings.
	/// </summary>
	public class FormSettings : System.Windows.Forms.Form
	{
		private System.Windows.Forms.TabControl tabControlSettings;
		private System.Windows.Forms.TabPage tabPageDest;
		private System.Windows.Forms.StatusBar statusSettings;
		private System.Windows.Forms.Panel panelSettingsDest;
		private System.Windows.Forms.Label labelDest1;
		private System.Windows.Forms.Label labelDest2;
		private System.Windows.Forms.ComboBox comboBoxDest1;
		private System.Windows.Forms.ComboBox comboBoxDest2;
		private System.Windows.Forms.TextBox textBoxDest1;
		private System.Windows.Forms.TextBox textBoxDest2;
		private System.Windows.Forms.CheckBox checkBoxBereichOptional;
		private System.Windows.Forms.TabPage tabPageTourPrefs;
		private Microsoft.WindowsCE.Forms.InputPanel inputPanelEinstellungen;
		private System.Windows.Forms.MainMenu mainMenuSettings;
		private System.Windows.Forms.Label labelDirection;
		private System.Windows.Forms.ComboBox comboBoxDirection;
		private System.Windows.Forms.Label labelDriver;
		private System.Windows.Forms.CheckBox checkBoxWomen;
		private System.Windows.Forms.CheckBox checkBoxMen;
		private System.Windows.Forms.Label labelAgeFrom;
		private System.Windows.Forms.TextBox textBoxAgeFrom;
		private System.Windows.Forms.Label labelAgeTo;
		private System.Windows.Forms.TextBox textBoxAgeTo;
		private System.Windows.Forms.Label labelCar;
		private System.Windows.Forms.CheckBox checkBoxAirbag;
		private System.Windows.Forms.CheckBox checkBoxAbs;
		private System.Windows.Forms.CheckBox checkBoxSeatFront;
		private System.Windows.Forms.CheckBox checkBoxSeatRear;
		private System.Windows.Forms.Label labelAgeCar;
		private System.Windows.Forms.ComboBox comboBoxAgeCar;
		private System.Windows.Forms.Panel panelSettingsPrefs;
		private System.Windows.Forms.TabPage tabPageProfile;
		private System.Windows.Forms.Panel panelSettingsProfiles;
		private System.Windows.Forms.Button buttonOpenProfile;
		private System.Windows.Forms.Button buttonSaveProfile;
		private System.Windows.Forms.CheckBox checkBoxNonSmoker;
		private System.Windows.Forms.CheckBox checkBoxMaySmoke;
		private System.Windows.Forms.Label labelNumPers;
		private System.Windows.Forms.TextBox textBoxNumPers;
		private bool dirty;

		public FormSettings()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			tabControlSettings.Controls.SetChildIndex(this.tabPageDest, 1);
			tabControlSettings.Controls.SetChildIndex(this.tabPageTourPrefs, 1);
			tabControlSettings.Controls.SetChildIndex(this.tabPageProfile, 1);
			setSettings();
		}

		void setSettings() 
		{
			this.textBoxDest1.Text = Context.ReqDestination1;
			this.textBoxDest2.Text = Context.ReqDestination2;
			this.checkBoxBereichOptional.Checked = Context.ReqDestination2Optional;
			this.comboBoxDirection.Text	= Context.DirectionAsString;
			if (Context.ReqGender == Context.EnumGender.mnnlich) 
			{
				this.checkBoxMen.Checked = true;
			}
			else if (Context.ReqGender == Context.EnumGender.weiblich) 
			{ 
				this.checkBoxWomen.Checked = true;
			}
			if (Context.ReqAgeFrom != Context.minAge) 
			{
				this.textBoxAgeFrom.Text = Context.ReqAgeFrom.ToString();
			}
			if (Context.ReqAgeTo != Context.maxAge) 
			{
				this.textBoxAgeTo.Text = Context.ReqAgeTo.ToString();
			}
			if (Context.ReqAgeCar != 0) 
			{
				this.comboBoxAgeCar.Text = Context.ReqAgeCar.ToString() + " Jahre";
			}
			if (Context.ReqNonSmoker) 
			{
				this.checkBoxNonSmoker.Checked = true;
			}
			if (Context.ReqMaySmoke)
			{
				this.checkBoxMaySmoke.Checked = true;
			}
			if (Context.ReqHasAirbag) 
			{
				this.checkBoxAirbag.Checked = true;
			}
			if (Context.ReqHasAbs) 
			{
				this.checkBoxAbs.Checked = true;
			}
			if (Context.ReqSeat == Context.EnumSeat.vorne) 
			{
				this.checkBoxSeatFront.Checked = true;
			}
			else if (Context.ReqSeat == Context.EnumSeat.hinten) 
			{ 
				this.checkBoxSeatRear.Checked = true;
			}
			this.textBoxNumPers.Text = Context.ReqNumPers.ToString();
		
			dirty = false;

		}
		protected override void Dispose( bool disposing )
		{
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(FormSettings));
			this.tabControlSettings = new System.Windows.Forms.TabControl();
			this.tabPageDest = new System.Windows.Forms.TabPage();
			this.panelSettingsDest = new System.Windows.Forms.Panel();
			this.textBoxNumPers = new System.Windows.Forms.TextBox();
			this.labelNumPers = new System.Windows.Forms.Label();
			this.comboBoxDirection = new System.Windows.Forms.ComboBox();
			this.labelDirection = new System.Windows.Forms.Label();
			this.checkBoxBereichOptional = new System.Windows.Forms.CheckBox();
			this.textBoxDest2 = new System.Windows.Forms.TextBox();
			this.textBoxDest1 = new System.Windows.Forms.TextBox();
			this.comboBoxDest2 = new System.Windows.Forms.ComboBox();
			this.comboBoxDest1 = new System.Windows.Forms.ComboBox();
			this.labelDest2 = new System.Windows.Forms.Label();
			this.labelDest1 = new System.Windows.Forms.Label();
			this.tabPageTourPrefs = new System.Windows.Forms.TabPage();
			this.panelSettingsPrefs = new System.Windows.Forms.Panel();
			this.checkBoxMaySmoke = new System.Windows.Forms.CheckBox();
			this.checkBoxNonSmoker = new System.Windows.Forms.CheckBox();
			this.comboBoxAgeCar = new System.Windows.Forms.ComboBox();
			this.labelAgeCar = new System.Windows.Forms.Label();
			this.checkBoxSeatRear = new System.Windows.Forms.CheckBox();
			this.checkBoxSeatFront = new System.Windows.Forms.CheckBox();
			this.checkBoxAbs = new System.Windows.Forms.CheckBox();
			this.checkBoxAirbag = new System.Windows.Forms.CheckBox();
			this.labelCar = new System.Windows.Forms.Label();
			this.textBoxAgeTo = new System.Windows.Forms.TextBox();
			this.labelAgeTo = new System.Windows.Forms.Label();
			this.textBoxAgeFrom = new System.Windows.Forms.TextBox();
			this.labelAgeFrom = new System.Windows.Forms.Label();
			this.checkBoxMen = new System.Windows.Forms.CheckBox();
			this.checkBoxWomen = new System.Windows.Forms.CheckBox();
			this.labelDriver = new System.Windows.Forms.Label();
			this.tabPageProfile = new System.Windows.Forms.TabPage();
			this.panelSettingsProfiles = new System.Windows.Forms.Panel();
			this.buttonSaveProfile = new System.Windows.Forms.Button();
			this.buttonOpenProfile = new System.Windows.Forms.Button();
			this.statusSettings = new System.Windows.Forms.StatusBar();
			this.inputPanelEinstellungen = new Microsoft.WindowsCE.Forms.InputPanel();
			this.mainMenuSettings = new System.Windows.Forms.MainMenu();
			// 
			// tabControlSettings
			// 
			this.tabControlSettings.Controls.Add(this.tabPageDest);
			this.tabControlSettings.Controls.Add(this.tabPageTourPrefs);
			this.tabControlSettings.Controls.Add(this.tabPageProfile);
			this.tabControlSettings.Enabled = ((bool)(resources.GetObject("tabControlSettings.Enabled")));
			this.tabControlSettings.Font = ((System.Drawing.Font)(resources.GetObject("tabControlSettings.Font")));
			this.tabControlSettings.Location = ((System.Drawing.Point)(resources.GetObject("tabControlSettings.Location")));
			this.tabControlSettings.SelectedIndex = 0;
			this.tabControlSettings.Size = ((System.Drawing.Size)(resources.GetObject("tabControlSettings.Size")));
			this.tabControlSettings.Text = resources.GetString("tabControlSettings.Text");
			this.tabControlSettings.Visible = ((bool)(resources.GetObject("tabControlSettings.Visible")));
			this.tabControlSettings.SelectedIndexChanged += new System.EventHandler(this.tabControlSettings_SelectedIndexChanged);
			// 
			// tabPageDest
			// 
			this.tabPageDest.Controls.Add(this.panelSettingsDest);
			this.tabPageDest.Enabled = ((bool)(resources.GetObject("tabPageDest.Enabled")));
			this.tabPageDest.Location = ((System.Drawing.Point)(resources.GetObject("tabPageDest.Location")));
			this.tabPageDest.Size = ((System.Drawing.Size)(resources.GetObject("tabPageDest.Size")));
			this.tabPageDest.Text = resources.GetString("tabPageDest.Text");
			// 
			// panelSettingsDest
			// 
			this.panelSettingsDest.BackColor = System.Drawing.Color.LemonChiffon;
			this.panelSettingsDest.Controls.Add(this.textBoxNumPers);
			this.panelSettingsDest.Controls.Add(this.labelNumPers);
			this.panelSettingsDest.Controls.Add(this.comboBoxDirection);
			this.panelSettingsDest.Controls.Add(this.labelDirection);
			this.panelSettingsDest.Controls.Add(this.checkBoxBereichOptional);
			this.panelSettingsDest.Controls.Add(this.textBoxDest2);
			this.panelSettingsDest.Controls.Add(this.textBoxDest1);
			this.panelSettingsDest.Controls.Add(this.comboBoxDest2);
			this.panelSettingsDest.Controls.Add(this.comboBoxDest1);
			this.panelSettingsDest.Controls.Add(this.labelDest2);
			this.panelSettingsDest.Controls.Add(this.labelDest1);
			this.panelSettingsDest.Enabled = ((bool)(resources.GetObject("panelSettingsDest.Enabled")));
			this.panelSettingsDest.Location = ((System.Drawing.Point)(resources.GetObject("panelSettingsDest.Location")));
			this.panelSettingsDest.Size = ((System.Drawing.Size)(resources.GetObject("panelSettingsDest.Size")));
			this.panelSettingsDest.Text = resources.GetString("panelSettingsDest.Text");
			this.panelSettingsDest.Visible = ((bool)(resources.GetObject("panelSettingsDest.Visible")));
			// 
			// textBoxNumPers
			// 
			this.textBoxNumPers.Enabled = ((bool)(resources.GetObject("textBoxNumPers.Enabled")));
			this.textBoxNumPers.Font = ((System.Drawing.Font)(resources.GetObject("textBoxNumPers.Font")));
			this.textBoxNumPers.Location = ((System.Drawing.Point)(resources.GetObject("textBoxNumPers.Location")));
			this.textBoxNumPers.MaxLength = ((int)(resources.GetObject("textBoxNumPers.MaxLength")));
			this.textBoxNumPers.Multiline = ((bool)(resources.GetObject("textBoxNumPers.Multiline")));
			this.textBoxNumPers.PasswordChar = ((char)(resources.GetObject("textBoxNumPers.PasswordChar")));
			this.textBoxNumPers.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("textBoxNumPers.ScrollBars")));
			this.textBoxNumPers.Size = ((System.Drawing.Size)(resources.GetObject("textBoxNumPers.Size")));
			this.textBoxNumPers.Text = resources.GetString("textBoxNumPers.Text");
			this.textBoxNumPers.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("textBoxNumPers.TextAlign")));
			this.textBoxNumPers.Visible = ((bool)(resources.GetObject("textBoxNumPers.Visible")));
			this.textBoxNumPers.WordWrap = ((bool)(resources.GetObject("textBoxNumPers.WordWrap")));
			this.textBoxNumPers.TextChanged += new System.EventHandler(this.textBoxNumPers_TextChanged);
			// 
			// labelNumPers
			// 
			this.labelNumPers.Enabled = ((bool)(resources.GetObject("labelNumPers.Enabled")));
			this.labelNumPers.Font = ((System.Drawing.Font)(resources.GetObject("labelNumPers.Font")));
			this.labelNumPers.Location = ((System.Drawing.Point)(resources.GetObject("labelNumPers.Location")));
			this.labelNumPers.Size = ((System.Drawing.Size)(resources.GetObject("labelNumPers.Size")));
			this.labelNumPers.Text = resources.GetString("labelNumPers.Text");
			this.labelNumPers.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelNumPers.TextAlign")));
			this.labelNumPers.Visible = ((bool)(resources.GetObject("labelNumPers.Visible")));
			// 
			// comboBoxDirection
			// 
			this.comboBoxDirection.Enabled = ((bool)(resources.GetObject("comboBoxDirection.Enabled")));
			this.comboBoxDirection.Font = ((System.Drawing.Font)(resources.GetObject("comboBoxDirection.Font")));
			this.comboBoxDirection.Items.Add(resources.GetString("resource"));
			this.comboBoxDirection.Items.Add(resources.GetString("resource1"));
			this.comboBoxDirection.Items.Add(resources.GetString("resource2"));
			this.comboBoxDirection.Items.Add(resources.GetString("resource3"));
			this.comboBoxDirection.Location = ((System.Drawing.Point)(resources.GetObject("comboBoxDirection.Location")));
			this.comboBoxDirection.Size = ((System.Drawing.Size)(resources.GetObject("comboBoxDirection.Size")));
			this.comboBoxDirection.Text = resources.GetString("comboBoxDirection.Text");
			this.comboBoxDirection.Visible = ((bool)(resources.GetObject("comboBoxDirection.Visible")));
			this.comboBoxDirection.SelectedIndexChanged += new System.EventHandler(this.comboBoxDirection_SelectedIndexChanged);
			// 
			// labelDirection
			// 
			this.labelDirection.Enabled = ((bool)(resources.GetObject("labelDirection.Enabled")));
			this.labelDirection.Font = ((System.Drawing.Font)(resources.GetObject("labelDirection.Font")));
			this.labelDirection.Location = ((System.Drawing.Point)(resources.GetObject("labelDirection.Location")));
			this.labelDirection.Size = ((System.Drawing.Size)(resources.GetObject("labelDirection.Size")));
			this.labelDirection.Text = resources.GetString("labelDirection.Text");
			this.labelDirection.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelDirection.TextAlign")));
			this.labelDirection.Visible = ((bool)(resources.GetObject("labelDirection.Visible")));
			// 
			// checkBoxBereichOptional
			// 
			this.checkBoxBereichOptional.Enabled = ((bool)(resources.GetObject("checkBoxBereichOptional.Enabled")));
			this.checkBoxBereichOptional.Font = ((System.Drawing.Font)(resources.GetObject("checkBoxBereichOptional.Font")));
			this.checkBoxBereichOptional.Location = ((System.Drawing.Point)(resources.GetObject("checkBoxBereichOptional.Location")));
			this.checkBoxBereichOptional.Size = ((System.Drawing.Size)(resources.GetObject("checkBoxBereichOptional.Size")));
			this.checkBoxBereichOptional.Text = resources.GetString("checkBoxBereichOptional.Text");
			this.checkBoxBereichOptional.Visible = ((bool)(resources.GetObject("checkBoxBereichOptional.Visible")));
			this.checkBoxBereichOptional.CheckStateChanged += new System.EventHandler(this.checkBoxBereichOptional_CheckStateChanged);
			// 
			// textBoxDest2
			// 
			this.textBoxDest2.BackColor = System.Drawing.Color.LightCoral;
			this.textBoxDest2.Enabled = ((bool)(resources.GetObject("textBoxDest2.Enabled")));
			this.textBoxDest2.Font = ((System.Drawing.Font)(resources.GetObject("textBoxDest2.Font")));
			this.textBoxDest2.Location = ((System.Drawing.Point)(resources.GetObject("textBoxDest2.Location")));
			this.textBoxDest2.MaxLength = ((int)(resources.GetObject("textBoxDest2.MaxLength")));
			this.textBoxDest2.Multiline = ((bool)(resources.GetObject("textBoxDest2.Multiline")));
			this.textBoxDest2.PasswordChar = ((char)(resources.GetObject("textBoxDest2.PasswordChar")));
			this.textBoxDest2.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("textBoxDest2.ScrollBars")));
			this.textBoxDest2.Size = ((System.Drawing.Size)(resources.GetObject("textBoxDest2.Size")));
			this.textBoxDest2.Text = resources.GetString("textBoxDest2.Text");
			this.textBoxDest2.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("textBoxDest2.TextAlign")));
			this.textBoxDest2.Visible = ((bool)(resources.GetObject("textBoxDest2.Visible")));
			this.textBoxDest2.WordWrap = ((bool)(resources.GetObject("textBoxDest2.WordWrap")));
			// 
			// textBoxDest1
			// 
			this.textBoxDest1.BackColor = System.Drawing.Color.LightCoral;
			this.textBoxDest1.Enabled = ((bool)(resources.GetObject("textBoxDest1.Enabled")));
			this.textBoxDest1.Font = ((System.Drawing.Font)(resources.GetObject("textBoxDest1.Font")));
			this.textBoxDest1.Location = ((System.Drawing.Point)(resources.GetObject("textBoxDest1.Location")));
			this.textBoxDest1.MaxLength = ((int)(resources.GetObject("textBoxDest1.MaxLength")));
			this.textBoxDest1.Multiline = ((bool)(resources.GetObject("textBoxDest1.Multiline")));
			this.textBoxDest1.PasswordChar = ((char)(resources.GetObject("textBoxDest1.PasswordChar")));
			this.textBoxDest1.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("textBoxDest1.ScrollBars")));
			this.textBoxDest1.Size = ((System.Drawing.Size)(resources.GetObject("textBoxDest1.Size")));
			this.textBoxDest1.Text = resources.GetString("textBoxDest1.Text");
			this.textBoxDest1.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("textBoxDest1.TextAlign")));
			this.textBoxDest1.Visible = ((bool)(resources.GetObject("textBoxDest1.Visible")));
			this.textBoxDest1.WordWrap = ((bool)(resources.GetObject("textBoxDest1.WordWrap")));
			// 
			// comboBoxDest2
			// 
			this.comboBoxDest2.Enabled = ((bool)(resources.GetObject("comboBoxDest2.Enabled")));
			this.comboBoxDest2.Font = ((System.Drawing.Font)(resources.GetObject("comboBoxDest2.Font")));
			this.comboBoxDest2.Items.Add(resources.GetString("resource4"));
			this.comboBoxDest2.Items.Add(resources.GetString("resource5"));
			this.comboBoxDest2.Location = ((System.Drawing.Point)(resources.GetObject("comboBoxDest2.Location")));
			this.comboBoxDest2.Size = ((System.Drawing.Size)(resources.GetObject("comboBoxDest2.Size")));
			this.comboBoxDest2.Text = resources.GetString("comboBoxDest2.Text");
			this.comboBoxDest2.Visible = ((bool)(resources.GetObject("comboBoxDest2.Visible")));
			this.comboBoxDest2.SelectedIndexChanged += new System.EventHandler(this.comboBoxDest2_SelectedIndexChanged);
			// 
			// comboBoxDest1
			// 
			this.comboBoxDest1.Enabled = ((bool)(resources.GetObject("comboBoxDest1.Enabled")));
			this.comboBoxDest1.Font = ((System.Drawing.Font)(resources.GetObject("comboBoxDest1.Font")));
			this.comboBoxDest1.Items.Add(resources.GetString("resource6"));
			this.comboBoxDest1.Items.Add(resources.GetString("resource7"));
			this.comboBoxDest1.Location = ((System.Drawing.Point)(resources.GetObject("comboBoxDest1.Location")));
			this.comboBoxDest1.Size = ((System.Drawing.Size)(resources.GetObject("comboBoxDest1.Size")));
			this.comboBoxDest1.Text = resources.GetString("comboBoxDest1.Text");
			this.comboBoxDest1.Visible = ((bool)(resources.GetObject("comboBoxDest1.Visible")));
			this.comboBoxDest1.SelectedIndexChanged += new System.EventHandler(this.comboBoxDest1_SelectedIndexChanged);
			// 
			// labelDest2
			// 
			this.labelDest2.Enabled = ((bool)(resources.GetObject("labelDest2.Enabled")));
			this.labelDest2.Font = ((System.Drawing.Font)(resources.GetObject("labelDest2.Font")));
			this.labelDest2.Location = ((System.Drawing.Point)(resources.GetObject("labelDest2.Location")));
			this.labelDest2.Size = ((System.Drawing.Size)(resources.GetObject("labelDest2.Size")));
			this.labelDest2.Text = resources.GetString("labelDest2.Text");
			this.labelDest2.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelDest2.TextAlign")));
			this.labelDest2.Visible = ((bool)(resources.GetObject("labelDest2.Visible")));
			// 
			// labelDest1
			// 
			this.labelDest1.Enabled = ((bool)(resources.GetObject("labelDest1.Enabled")));
			this.labelDest1.Font = ((System.Drawing.Font)(resources.GetObject("labelDest1.Font")));
			this.labelDest1.Location = ((System.Drawing.Point)(resources.GetObject("labelDest1.Location")));
			this.labelDest1.Size = ((System.Drawing.Size)(resources.GetObject("labelDest1.Size")));
			this.labelDest1.Text = resources.GetString("labelDest1.Text");
			this.labelDest1.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelDest1.TextAlign")));
			this.labelDest1.Visible = ((bool)(resources.GetObject("labelDest1.Visible")));
			// 
			// tabPageTourPrefs
			// 
			this.tabPageTourPrefs.Controls.Add(this.panelSettingsPrefs);
			this.tabPageTourPrefs.Enabled = ((bool)(resources.GetObject("tabPageTourPrefs.Enabled")));
			this.tabPageTourPrefs.Location = ((System.Drawing.Point)(resources.GetObject("tabPageTourPrefs.Location")));
			this.tabPageTourPrefs.Size = ((System.Drawing.Size)(resources.GetObject("tabPageTourPrefs.Size")));
			this.tabPageTourPrefs.Text = resources.GetString("tabPageTourPrefs.Text");
			// 
			// panelSettingsPrefs
			// 
			this.panelSettingsPrefs.BackColor = System.Drawing.Color.LemonChiffon;
			this.panelSettingsPrefs.Controls.Add(this.checkBoxMaySmoke);
			this.panelSettingsPrefs.Controls.Add(this.checkBoxNonSmoker);
			this.panelSettingsPrefs.Controls.Add(this.comboBoxAgeCar);
			this.panelSettingsPrefs.Controls.Add(this.labelAgeCar);
			this.panelSettingsPrefs.Controls.Add(this.checkBoxSeatRear);
			this.panelSettingsPrefs.Controls.Add(this.checkBoxSeatFront);
			this.panelSettingsPrefs.Controls.Add(this.checkBoxAbs);
			this.panelSettingsPrefs.Controls.Add(this.checkBoxAirbag);
			this.panelSettingsPrefs.Controls.Add(this.labelCar);
			this.panelSettingsPrefs.Controls.Add(this.textBoxAgeTo);
			this.panelSettingsPrefs.Controls.Add(this.labelAgeTo);
			this.panelSettingsPrefs.Controls.Add(this.textBoxAgeFrom);
			this.panelSettingsPrefs.Controls.Add(this.labelAgeFrom);
			this.panelSettingsPrefs.Controls.Add(this.checkBoxMen);
			this.panelSettingsPrefs.Controls.Add(this.checkBoxWomen);
			this.panelSettingsPrefs.Controls.Add(this.labelDriver);
			this.panelSettingsPrefs.Enabled = ((bool)(resources.GetObject("panelSettingsPrefs.Enabled")));
			this.panelSettingsPrefs.Location = ((System.Drawing.Point)(resources.GetObject("panelSettingsPrefs.Location")));
			this.panelSettingsPrefs.Size = ((System.Drawing.Size)(resources.GetObject("panelSettingsPrefs.Size")));
			this.panelSettingsPrefs.Text = resources.GetString("panelSettingsPrefs.Text");
			this.panelSettingsPrefs.Visible = ((bool)(resources.GetObject("panelSettingsPrefs.Visible")));
			// 
			// checkBoxMaySmoke
			// 
			this.checkBoxMaySmoke.Enabled = ((bool)(resources.GetObject("checkBoxMaySmoke.Enabled")));
			this.checkBoxMaySmoke.Font = ((System.Drawing.Font)(resources.GetObject("checkBoxMaySmoke.Font")));
			this.checkBoxMaySmoke.Location = ((System.Drawing.Point)(resources.GetObject("checkBoxMaySmoke.Location")));
			this.checkBoxMaySmoke.Size = ((System.Drawing.Size)(resources.GetObject("checkBoxMaySmoke.Size")));
			this.checkBoxMaySmoke.Text = resources.GetString("checkBoxMaySmoke.Text");
			this.checkBoxMaySmoke.Visible = ((bool)(resources.GetObject("checkBoxMaySmoke.Visible")));
			this.checkBoxMaySmoke.CheckStateChanged += new System.EventHandler(this.checkBoxMaySmoke_CheckedChanged);
			// 
			// checkBoxNonSmoker
			// 
			this.checkBoxNonSmoker.Enabled = ((bool)(resources.GetObject("checkBoxNonSmoker.Enabled")));
			this.checkBoxNonSmoker.Font = ((System.Drawing.Font)(resources.GetObject("checkBoxNonSmoker.Font")));
			this.checkBoxNonSmoker.Location = ((System.Drawing.Point)(resources.GetObject("checkBoxNonSmoker.Location")));
			this.checkBoxNonSmoker.Size = ((System.Drawing.Size)(resources.GetObject("checkBoxNonSmoker.Size")));
			this.checkBoxNonSmoker.Text = resources.GetString("checkBoxNonSmoker.Text");
			this.checkBoxNonSmoker.Visible = ((bool)(resources.GetObject("checkBoxNonSmoker.Visible")));
			this.checkBoxNonSmoker.CheckStateChanged += new System.EventHandler(this.checkBoxNonSmoker_CheckedChanged);
			// 
			// comboBoxAgeCar
			// 
			this.comboBoxAgeCar.Enabled = ((bool)(resources.GetObject("comboBoxAgeCar.Enabled")));
			this.comboBoxAgeCar.Font = ((System.Drawing.Font)(resources.GetObject("comboBoxAgeCar.Font")));
			this.comboBoxAgeCar.Items.Add(resources.GetString("resource8"));
			this.comboBoxAgeCar.Items.Add(resources.GetString("resource9"));
			this.comboBoxAgeCar.Items.Add(resources.GetString("resource10"));
			this.comboBoxAgeCar.Items.Add(resources.GetString("resource11"));
			this.comboBoxAgeCar.Items.Add(resources.GetString("resource12"));
			this.comboBoxAgeCar.Items.Add(resources.GetString("resource13"));
			this.comboBoxAgeCar.Items.Add(resources.GetString("resource14"));
			this.comboBoxAgeCar.Items.Add(resources.GetString("resource15"));
			this.comboBoxAgeCar.Items.Add(resources.GetString("resource16"));
			this.comboBoxAgeCar.Items.Add(resources.GetString("resource17"));
			this.comboBoxAgeCar.Items.Add(resources.GetString("resource18"));
			this.comboBoxAgeCar.Location = ((System.Drawing.Point)(resources.GetObject("comboBoxAgeCar.Location")));
			this.comboBoxAgeCar.Size = ((System.Drawing.Size)(resources.GetObject("comboBoxAgeCar.Size")));
			this.comboBoxAgeCar.Text = resources.GetString("comboBoxAgeCar.Text");
			this.comboBoxAgeCar.Visible = ((bool)(resources.GetObject("comboBoxAgeCar.Visible")));
			this.comboBoxAgeCar.SelectedIndexChanged += new System.EventHandler(this.comboBoxAgeCar_SelectedIndexChanged);
			// 
			// labelAgeCar
			// 
			this.labelAgeCar.Enabled = ((bool)(resources.GetObject("labelAgeCar.Enabled")));
			this.labelAgeCar.Font = ((System.Drawing.Font)(resources.GetObject("labelAgeCar.Font")));
			this.labelAgeCar.Location = ((System.Drawing.Point)(resources.GetObject("labelAgeCar.Location")));
			this.labelAgeCar.Size = ((System.Drawing.Size)(resources.GetObject("labelAgeCar.Size")));
			this.labelAgeCar.Text = resources.GetString("labelAgeCar.Text");
			this.labelAgeCar.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelAgeCar.TextAlign")));
			this.labelAgeCar.Visible = ((bool)(resources.GetObject("labelAgeCar.Visible")));
			// 
			// checkBoxSeatRear
			// 
			this.checkBoxSeatRear.Enabled = ((bool)(resources.GetObject("checkBoxSeatRear.Enabled")));
			this.checkBoxSeatRear.Font = ((System.Drawing.Font)(resources.GetObject("checkBoxSeatRear.Font")));
			this.checkBoxSeatRear.Location = ((System.Drawing.Point)(resources.GetObject("checkBoxSeatRear.Location")));
			this.checkBoxSeatRear.Size = ((System.Drawing.Size)(resources.GetObject("checkBoxSeatRear.Size")));
			this.checkBoxSeatRear.Text = resources.GetString("checkBoxSeatRear.Text");
			this.checkBoxSeatRear.Visible = ((bool)(resources.GetObject("checkBoxSeatRear.Visible")));
			this.checkBoxSeatRear.CheckStateChanged += new System.EventHandler(this.checkBoxSeatRear_CheckStateChanged);
			// 
			// checkBoxSeatFront
			// 
			this.checkBoxSeatFront.Enabled = ((bool)(resources.GetObject("checkBoxSeatFront.Enabled")));
			this.checkBoxSeatFront.Font = ((System.Drawing.Font)(resources.GetObject("checkBoxSeatFront.Font")));
			this.checkBoxSeatFront.Location = ((System.Drawing.Point)(resources.GetObject("checkBoxSeatFront.Location")));
			this.checkBoxSeatFront.Size = ((System.Drawing.Size)(resources.GetObject("checkBoxSeatFront.Size")));
			this.checkBoxSeatFront.Text = resources.GetString("checkBoxSeatFront.Text");
			this.checkBoxSeatFront.Visible = ((bool)(resources.GetObject("checkBoxSeatFront.Visible")));
			this.checkBoxSeatFront.CheckStateChanged += new System.EventHandler(this.checkBoxSeatFront_CheckStateChanged);
			// 
			// checkBoxAbs
			// 
			this.checkBoxAbs.Enabled = ((bool)(resources.GetObject("checkBoxAbs.Enabled")));
			this.checkBoxAbs.Font = ((System.Drawing.Font)(resources.GetObject("checkBoxAbs.Font")));
			this.checkBoxAbs.Location = ((System.Drawing.Point)(resources.GetObject("checkBoxAbs.Location")));
			this.checkBoxAbs.Size = ((System.Drawing.Size)(resources.GetObject("checkBoxAbs.Size")));
			this.checkBoxAbs.Text = resources.GetString("checkBoxAbs.Text");
			this.checkBoxAbs.Visible = ((bool)(resources.GetObject("checkBoxAbs.Visible")));
			this.checkBoxAbs.CheckStateChanged += new System.EventHandler(this.checkBoxAbs_CheckStateChanged);
			// 
			// checkBoxAirbag
			// 
			this.checkBoxAirbag.Enabled = ((bool)(resources.GetObject("checkBoxAirbag.Enabled")));
			this.checkBoxAirbag.Font = ((System.Drawing.Font)(resources.GetObject("checkBoxAirbag.Font")));
			this.checkBoxAirbag.Location = ((System.Drawing.Point)(resources.GetObject("checkBoxAirbag.Location")));
			this.checkBoxAirbag.Size = ((System.Drawing.Size)(resources.GetObject("checkBoxAirbag.Size")));
			this.checkBoxAirbag.Text = resources.GetString("checkBoxAirbag.Text");
			this.checkBoxAirbag.Visible = ((bool)(resources.GetObject("checkBoxAirbag.Visible")));
			this.checkBoxAirbag.CheckStateChanged += new System.EventHandler(this.checkBoxAirbag_CheckStateChanged);
			// 
			// labelCar
			// 
			this.labelCar.Enabled = ((bool)(resources.GetObject("labelCar.Enabled")));
			this.labelCar.Font = ((System.Drawing.Font)(resources.GetObject("labelCar.Font")));
			this.labelCar.ForeColor = System.Drawing.Color.Maroon;
			this.labelCar.Location = ((System.Drawing.Point)(resources.GetObject("labelCar.Location")));
			this.labelCar.Size = ((System.Drawing.Size)(resources.GetObject("labelCar.Size")));
			this.labelCar.Text = resources.GetString("labelCar.Text");
			this.labelCar.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelCar.TextAlign")));
			this.labelCar.Visible = ((bool)(resources.GetObject("labelCar.Visible")));
			// 
			// textBoxAgeTo
			// 
			this.textBoxAgeTo.Enabled = ((bool)(resources.GetObject("textBoxAgeTo.Enabled")));
			this.textBoxAgeTo.Font = ((System.Drawing.Font)(resources.GetObject("textBoxAgeTo.Font")));
			this.textBoxAgeTo.Location = ((System.Drawing.Point)(resources.GetObject("textBoxAgeTo.Location")));
			this.textBoxAgeTo.MaxLength = ((int)(resources.GetObject("textBoxAgeTo.MaxLength")));
			this.textBoxAgeTo.Multiline = ((bool)(resources.GetObject("textBoxAgeTo.Multiline")));
			this.textBoxAgeTo.PasswordChar = ((char)(resources.GetObject("textBoxAgeTo.PasswordChar")));
			this.textBoxAgeTo.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("textBoxAgeTo.ScrollBars")));
			this.textBoxAgeTo.Size = ((System.Drawing.Size)(resources.GetObject("textBoxAgeTo.Size")));
			this.textBoxAgeTo.Text = resources.GetString("textBoxAgeTo.Text");
			this.textBoxAgeTo.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("textBoxAgeTo.TextAlign")));
			this.textBoxAgeTo.Visible = ((bool)(resources.GetObject("textBoxAgeTo.Visible")));
			this.textBoxAgeTo.WordWrap = ((bool)(resources.GetObject("textBoxAgeTo.WordWrap")));
			this.textBoxAgeTo.TextChanged += new System.EventHandler(this.textBoxAgeTo_TextChanged);
			// 
			// labelAgeTo
			// 
			this.labelAgeTo.Enabled = ((bool)(resources.GetObject("labelAgeTo.Enabled")));
			this.labelAgeTo.Font = ((System.Drawing.Font)(resources.GetObject("labelAgeTo.Font")));
			this.labelAgeTo.Location = ((System.Drawing.Point)(resources.GetObject("labelAgeTo.Location")));
			this.labelAgeTo.Size = ((System.Drawing.Size)(resources.GetObject("labelAgeTo.Size")));
			this.labelAgeTo.Text = resources.GetString("labelAgeTo.Text");
			this.labelAgeTo.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelAgeTo.TextAlign")));
			this.labelAgeTo.Visible = ((bool)(resources.GetObject("labelAgeTo.Visible")));
			// 
			// textBoxAgeFrom
			// 
			this.textBoxAgeFrom.Enabled = ((bool)(resources.GetObject("textBoxAgeFrom.Enabled")));
			this.textBoxAgeFrom.Font = ((System.Drawing.Font)(resources.GetObject("textBoxAgeFrom.Font")));
			this.textBoxAgeFrom.Location = ((System.Drawing.Point)(resources.GetObject("textBoxAgeFrom.Location")));
			this.textBoxAgeFrom.MaxLength = ((int)(resources.GetObject("textBoxAgeFrom.MaxLength")));
			this.textBoxAgeFrom.Multiline = ((bool)(resources.GetObject("textBoxAgeFrom.Multiline")));
			this.textBoxAgeFrom.PasswordChar = ((char)(resources.GetObject("textBoxAgeFrom.PasswordChar")));
			this.textBoxAgeFrom.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("textBoxAgeFrom.ScrollBars")));
			this.textBoxAgeFrom.Size = ((System.Drawing.Size)(resources.GetObject("textBoxAgeFrom.Size")));
			this.textBoxAgeFrom.Text = resources.GetString("textBoxAgeFrom.Text");
			this.textBoxAgeFrom.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("textBoxAgeFrom.TextAlign")));
			this.textBoxAgeFrom.Visible = ((bool)(resources.GetObject("textBoxAgeFrom.Visible")));
			this.textBoxAgeFrom.WordWrap = ((bool)(resources.GetObject("textBoxAgeFrom.WordWrap")));
			this.textBoxAgeFrom.TextChanged += new System.EventHandler(this.textBoxAgeFrom_TextChanged);
			// 
			// labelAgeFrom
			// 
			this.labelAgeFrom.Enabled = ((bool)(resources.GetObject("labelAgeFrom.Enabled")));
			this.labelAgeFrom.Font = ((System.Drawing.Font)(resources.GetObject("labelAgeFrom.Font")));
			this.labelAgeFrom.Location = ((System.Drawing.Point)(resources.GetObject("labelAgeFrom.Location")));
			this.labelAgeFrom.Size = ((System.Drawing.Size)(resources.GetObject("labelAgeFrom.Size")));
			this.labelAgeFrom.Text = resources.GetString("labelAgeFrom.Text");
			this.labelAgeFrom.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelAgeFrom.TextAlign")));
			this.labelAgeFrom.Visible = ((bool)(resources.GetObject("labelAgeFrom.Visible")));
			// 
			// checkBoxMen
			// 
			this.checkBoxMen.Enabled = ((bool)(resources.GetObject("checkBoxMen.Enabled")));
			this.checkBoxMen.Font = ((System.Drawing.Font)(resources.GetObject("checkBoxMen.Font")));
			this.checkBoxMen.Location = ((System.Drawing.Point)(resources.GetObject("checkBoxMen.Location")));
			this.checkBoxMen.Size = ((System.Drawing.Size)(resources.GetObject("checkBoxMen.Size")));
			this.checkBoxMen.Text = resources.GetString("checkBoxMen.Text");
			this.checkBoxMen.Visible = ((bool)(resources.GetObject("checkBoxMen.Visible")));
			this.checkBoxMen.CheckStateChanged += new System.EventHandler(this.checkBoxMen_CheckStateChanged);
			// 
			// checkBoxWomen
			// 
			this.checkBoxWomen.Enabled = ((bool)(resources.GetObject("checkBoxWomen.Enabled")));
			this.checkBoxWomen.Font = ((System.Drawing.Font)(resources.GetObject("checkBoxWomen.Font")));
			this.checkBoxWomen.Location = ((System.Drawing.Point)(resources.GetObject("checkBoxWomen.Location")));
			this.checkBoxWomen.Size = ((System.Drawing.Size)(resources.GetObject("checkBoxWomen.Size")));
			this.checkBoxWomen.Text = resources.GetString("checkBoxWomen.Text");
			this.checkBoxWomen.Visible = ((bool)(resources.GetObject("checkBoxWomen.Visible")));
			this.checkBoxWomen.CheckStateChanged += new System.EventHandler(this.checkBoxWomen_CheckStateChanged);
			// 
			// labelDriver
			// 
			this.labelDriver.Enabled = ((bool)(resources.GetObject("labelDriver.Enabled")));
			this.labelDriver.Font = ((System.Drawing.Font)(resources.GetObject("labelDriver.Font")));
			this.labelDriver.ForeColor = System.Drawing.Color.Maroon;
			this.labelDriver.Location = ((System.Drawing.Point)(resources.GetObject("labelDriver.Location")));
			this.labelDriver.Size = ((System.Drawing.Size)(resources.GetObject("labelDriver.Size")));
			this.labelDriver.Text = resources.GetString("labelDriver.Text");
			this.labelDriver.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelDriver.TextAlign")));
			this.labelDriver.Visible = ((bool)(resources.GetObject("labelDriver.Visible")));
			// 
			// tabPageProfile
			// 
			this.tabPageProfile.Controls.Add(this.panelSettingsProfiles);
			this.tabPageProfile.Enabled = ((bool)(resources.GetObject("tabPageProfile.Enabled")));
			this.tabPageProfile.Location = ((System.Drawing.Point)(resources.GetObject("tabPageProfile.Location")));
			this.tabPageProfile.Size = ((System.Drawing.Size)(resources.GetObject("tabPageProfile.Size")));
			this.tabPageProfile.Text = resources.GetString("tabPageProfile.Text");
			// 
			// panelSettingsProfiles
			// 
			this.panelSettingsProfiles.BackColor = System.Drawing.Color.LemonChiffon;
			this.panelSettingsProfiles.Controls.Add(this.buttonSaveProfile);
			this.panelSettingsProfiles.Controls.Add(this.buttonOpenProfile);
			this.panelSettingsProfiles.Enabled = ((bool)(resources.GetObject("panelSettingsProfiles.Enabled")));
			this.panelSettingsProfiles.Location = ((System.Drawing.Point)(resources.GetObject("panelSettingsProfiles.Location")));
			this.panelSettingsProfiles.Size = ((System.Drawing.Size)(resources.GetObject("panelSettingsProfiles.Size")));
			this.panelSettingsProfiles.Text = resources.GetString("panelSettingsProfiles.Text");
			this.panelSettingsProfiles.Visible = ((bool)(resources.GetObject("panelSettingsProfiles.Visible")));
			// 
			// buttonSaveProfile
			// 
			this.buttonSaveProfile.Enabled = ((bool)(resources.GetObject("buttonSaveProfile.Enabled")));
			this.buttonSaveProfile.Font = ((System.Drawing.Font)(resources.GetObject("buttonSaveProfile.Font")));
			this.buttonSaveProfile.Location = ((System.Drawing.Point)(resources.GetObject("buttonSaveProfile.Location")));
			this.buttonSaveProfile.Size = ((System.Drawing.Size)(resources.GetObject("buttonSaveProfile.Size")));
			this.buttonSaveProfile.Text = resources.GetString("buttonSaveProfile.Text");
			this.buttonSaveProfile.Visible = ((bool)(resources.GetObject("buttonSaveProfile.Visible")));
			this.buttonSaveProfile.Click += new System.EventHandler(this.buttonSaveProfile_Click);
			// 
			// buttonOpenProfile
			// 
			this.buttonOpenProfile.Enabled = ((bool)(resources.GetObject("buttonOpenProfile.Enabled")));
			this.buttonOpenProfile.Font = ((System.Drawing.Font)(resources.GetObject("buttonOpenProfile.Font")));
			this.buttonOpenProfile.Location = ((System.Drawing.Point)(resources.GetObject("buttonOpenProfile.Location")));
			this.buttonOpenProfile.Size = ((System.Drawing.Size)(resources.GetObject("buttonOpenProfile.Size")));
			this.buttonOpenProfile.Text = resources.GetString("buttonOpenProfile.Text");
			this.buttonOpenProfile.Visible = ((bool)(resources.GetObject("buttonOpenProfile.Visible")));
			this.buttonOpenProfile.Click += new System.EventHandler(this.buttonOpenProfile_Click);
			// 
			// statusSettings
			// 
			this.statusSettings.Enabled = ((bool)(resources.GetObject("statusSettings.Enabled")));
			this.statusSettings.Font = ((System.Drawing.Font)(resources.GetObject("statusSettings.Font")));
			this.statusSettings.Location = ((System.Drawing.Point)(resources.GetObject("statusSettings.Location")));
			this.statusSettings.Size = ((System.Drawing.Size)(resources.GetObject("statusSettings.Size")));
			this.statusSettings.Text = resources.GetString("statusSettings.Text");
			this.statusSettings.Visible = ((bool)(resources.GetObject("statusSettings.Visible")));
			// 
			// FormSettings
			// 
			this.ClientSize = ((System.Drawing.Size)(resources.GetObject("$this.ClientSize")));
			this.Controls.Add(this.statusSettings);
			this.Controls.Add(this.tabControlSettings);
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.Menu = this.mainMenuSettings;
			this.Text = resources.GetString("$this.Text");
			this.Visible = ((bool)(resources.GetObject("$this.Visible")));
			this.Closing += new System.ComponentModel.CancelEventHandler(this.FormSettings_OKClick);

		}
		#endregion

		private void comboBoxDest1_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			this.textBoxDest1.Text = comboBoxDest1.Text;
			dirty = true;
		}

		private void comboBoxDest2_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			this.textBoxDest2.Text = comboBoxDest2.Text;
			dirty = true;
		}

		private void checkBoxBereichOptional_CheckStateChanged(object sender, System.EventArgs e)
		{
			if (this.checkBoxBereichOptional.Checked) 
			{
				this.textBoxDest2.BackColor = System.Drawing.Color.LawnGreen;
			} 
			else 
			{
				this.textBoxDest2.BackColor = System.Drawing.Color.LightCoral;
			}
			dirty = true;
		}
		private void FormSettings_OKClick(object sender, System.ComponentModel.CancelEventArgs e)
		{   
			e.Cancel = false;
			if (dirty) 
			{
				DialogResult result =
					MessageBox.Show("Wollen Sie die Einstellungen bernehmen?", "", MessageBoxButtons.YesNoCancel, MessageBoxIcon.Question, MessageBoxDefaultButton.Button1);			
				if(result == DialogResult.Yes)
				{
					saveSettings(ref e);
				} 
				else if (result == DialogResult.Cancel)
				{ e.Cancel = true;}
			}
			if (!e.Cancel) 
			{
				this.inputPanelEinstellungen.Enabled = false;
			}
		}

		private void saveSettings(ref System.ComponentModel.CancelEventArgs e) 
		{
			Context.ReqDestination1 = this.textBoxDest1.Text;
			Context.ReqDestination2 = this.textBoxDest2.Text;
			Context.ReqDestination2Optional = this.checkBoxBereichOptional.Checked;
			Context.DirectionAsString = this.comboBoxDirection.Text;
			// Gender
			if (this.checkBoxWomen.Checked) 
			{
				Context.ReqGender = Context.EnumGender.weiblich;
			} 
			else if (this.checkBoxMen.Checked) 
			{
				Context.ReqGender = Context.EnumGender.mnnlich;
			} 
			else 
			{
				Context.ReqGender = Context.EnumGender.unspezifiziert;
			}
			// Age
			try 
			{
				Context.ReqAgeFrom = Convert.ToInt32(this.textBoxAgeFrom.Text);
			}
			catch (FormatException) 
			{
				Context.ReqAgeFrom = Context.minAge;
			}
			try 
			{
				Context.ReqAgeTo = Convert.ToInt32(this.textBoxAgeTo.Text);
			}
			catch (FormatException) 
			{
				Context.ReqAgeTo = Context.maxAge;
			}
			if (Context.ReqAgeFrom > Context.ReqAgeTo) 
			{
				MessageBox.Show("Alter bis muss grer sein wie Alter von");
				e.Cancel = true;
				return;
			}
			// NonSmoker
			Context.ReqNonSmoker = this.checkBoxNonSmoker.Checked;
			// may I Smoke
			Context.ReqMaySmoke = this.checkBoxMaySmoke.Checked;
			// Airbag
			Context.ReqHasAirbag = this.checkBoxAirbag.Checked;
			// ABS
			Context.ReqHasAbs = this.checkBoxAbs.Checked;
			// Seat
			if (this.checkBoxSeatFront.Checked) 
			{
				Context.ReqSeat = Context.EnumSeat.vorne;
			} 
			else if (this.checkBoxSeatRear.Checked) 
			{
				Context.ReqSeat = Context.EnumSeat.hinten;
			} 
			else 
			{
				Context.ReqSeat = Context.EnumSeat.unspezifiziert;
			}
			// Car Age
			switch (this.comboBoxAgeCar.Text) 
			{
				case "1 Jahr" :
					Context.ReqAgeCar = 1;
					break;
				case "2 Jahre" :
					Context.ReqAgeCar = 2;
					break;
				case "3 Jahre" :
					Context.ReqAgeCar = 3;
					break;
				case "4 Jahre" :
					Context.ReqAgeCar = 4;
					break;
				case "5 Jahre" :
					Context.ReqAgeCar = 5;
					break;
				case "6 Jahre" :
					Context.ReqAgeCar = 6;
					break;
				case "7 Jahre" :
					Context.ReqAgeCar = 7;
					break;
				case "8 Jahre" :
					Context.ReqAgeCar = 8;
					break;
				case "9 Jahre" :
					Context.ReqAgeCar = 9;
					break;
				case "10 Jahre" :
					Context.ReqAgeCar = 10;
					break;
				default:
					Context.ReqAgeCar = Context.maxCarAge;
					break;
			}
			// num additional persones
			try 
			{
				Context.ReqNumPers = Convert.ToInt32(this.textBoxNumPers.Text);
			}
			catch (FormatException) 
			{
				Context.ReqNumPers = Context.defNumPers;
			}

			dirty = false;

		}
		private void comboBoxDirection_SelectedIndexChanged(object sender, System.EventArgs e)
		{
		dirty = true;
		}

		private void checkBoxWomen_CheckStateChanged(object sender, System.EventArgs e)
		{
			if (this.checkBoxWomen.Checked && this.checkBoxMen.Checked) 
			{
				this.checkBoxMen.Checked = false;
			}
			dirty = true;
		}

		private void checkBoxMen_CheckStateChanged(object sender, System.EventArgs e)
		{
			if (this.checkBoxMen.Checked && this.checkBoxWomen.Checked) 
			{
				this.checkBoxWomen.Checked = false;
			}
			dirty = true;
		
		}

		private void textBoxAgeFrom_TextChanged(object sender, System.EventArgs e)
		{
			if (this.textBoxAgeFrom.Text.Equals("")) 
			{
				dirty = true;
				return;
			}

			try 
			{
				int i = Convert.ToInt32(this.textBoxAgeFrom.Text);
			} 
			catch (FormatException)
			{
				MessageBox.Show("Bitte eine Zahl zwischen 1 und 99 eingeben");				
				return;
			}

			dirty = true;
		}

		private void textBoxAgeTo_TextChanged(object sender, System.EventArgs e)
		{   
			if (this.textBoxAgeTo.Text.Equals("")) 
			{
				dirty = true;
				return;
			}

			try 
			{
				int i = Convert.ToInt32(this.textBoxAgeTo.Text);
			} 
			catch (FormatException)
			{
				MessageBox.Show("Bitte Zahl zwischen 1 und 99 eingeben");				
				return;
			}
			dirty = true;
		}

		private void checkBoxAirbag_CheckStateChanged(object sender, System.EventArgs e)
		{
			dirty = (Context.ReqHasAirbag != this.checkBoxAirbag.Checked);
			Context.ReqHasAirbag = this.checkBoxAirbag.Checked;
		}

		private void checkBoxAbs_CheckStateChanged(object sender, System.EventArgs e)
		{
			dirty = (Context.ReqHasAbs != this.checkBoxAbs.Checked);
			Context.ReqHasAbs = this.checkBoxAbs.Checked;		
		}

		private void comboBoxAgeCar_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			dirty = true;
		}

		private void buttonOpenProfile_Click(object sender, System.EventArgs e)
		{
			string file;
			string s;
			bool   b;
			int    i;
			IniFile prefFile;

			OpenFileDialog openFileDialogProfiles = new OpenFileDialog();

			openFileDialogProfiles.Filter = "ini Dateien (*.ini)|*.ini" ;
			openFileDialogProfiles.FilterIndex = 1 ;

			if(openFileDialogProfiles.ShowDialog() == DialogResult.OK)
			{
				if((file = openFileDialogProfiles.FileName)!= null)
				{
					prefFile = new IniFile(file, IniFile.EnumFileMode.read);					
					prefFile.Get("AgeCar", out i);
					Context.ReqAgeCar = i;
					prefFile.Get("AgeFrom", out i);
					Context.ReqAgeFrom = i;
					prefFile.Get("AgeTo", out i);
					Context.ReqAgeTo = i;
					prefFile.Get("Destination1", out s);
					Context.ReqDestination1 = s;
					prefFile.Get("Destination2", out s);
					Context.ReqDestination2 = s;
					prefFile.Get("Destination2Optional", out b);
					Context.ReqDestination2Optional = b;
					prefFile.Get("Direction", out s);
					Context.DirectionAsString = s;
					prefFile.Get("Gender", out s);
					Context.ReqGender = (Context.EnumGender)Enum.Parse(typeof(Context.EnumGender), s, true);
					prefFile.Get("HasAbs", out b);
					Context.ReqHasAbs = b;
					prefFile.Get("HasAirbag", out b);
					Context.ReqHasAirbag = b;
					prefFile.Get("NonSmoker", out b);
					Context.ReqNonSmoker = b;
					prefFile.Get("MaySmoke", out b);
					Context.ReqMaySmoke = b;
					prefFile.Get("Seat", out s);
					Context.ReqSeat = (Context.EnumSeat)Enum.Parse(typeof(Context.EnumSeat), s, true);
					prefFile.Get("NumPers", out i);
					Context.ReqNumPers = i;

					setSettings();
				}
			}
		
		}

		private void buttonSaveProfile_Click(object sender, System.EventArgs e)
		{
			string file;
			IniFile prefFile;
			System.ComponentModel.CancelEventArgs ce;

			SaveFileDialog saveFileDialogProfiles = new SaveFileDialog();

			saveFileDialogProfiles.Filter = "ini Dateien (*.ini)|*.ini" ;
			saveFileDialogProfiles.FilterIndex = 1 ;

			if(saveFileDialogProfiles.ShowDialog() == DialogResult.OK)
			{
				if((file = saveFileDialogProfiles.FileName)!= null)
				{
					ce = new System.ComponentModel.CancelEventArgs();
					saveSettings(ref ce);
					if (ce.Cancel) 
					{
						return;
					}
					prefFile = new IniFile(file, IniFile.EnumFileMode.write);
					prefFile.Put("AgeCar", Context.ReqAgeCar);
					prefFile.Put("AgeFrom", Context.ReqAgeFrom);
					prefFile.Put("AgeTo", Context.ReqAgeTo);
					prefFile.Put("Destination1", Context.ReqDestination1);
					prefFile.Put("Destination2", Context.ReqDestination2);
					prefFile.Put("Destination2Optional", Context.ReqDestination2Optional);
					prefFile.Put("Direction", Context.DirectionAsString);
					prefFile.Put("ReqGender", Context.ReqGender.ToString());
					prefFile.Put("HasAbs", Context.ReqHasAbs);
					prefFile.Put("HasAirbag", Context.ReqHasAirbag);
					prefFile.Put("NonSmoker", Context.ReqNonSmoker);
					prefFile.Put("NonSmoker", Context.ReqMaySmoke);
					prefFile.Put("Seat", Context.ReqSeat.ToString());
					prefFile.Put("NumPers", Context.ReqNumPers.ToString());
					prefFile.WriteFile();
				}
			}		
		}

		private void tabControlSettings_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			if (((TabControl)sender).SelectedIndex == 0) 
			{
				this.statusSettings.Text = "Bitte Fahrtziel angeben!";
			} 
			else if (((TabControl)sender).SelectedIndex == 1) 
			{
				this.statusSettings.Text = "Bitte Prferenzen einstellen!";
			}
			else if (((TabControl)sender).SelectedIndex == 2) 
			{
				this.statusSettings.Text = "Bitte Profil laden oder speichern!";
			}
		}

		private void checkBoxSeatFront_CheckStateChanged(object sender, System.EventArgs e)
		{
			if (this.checkBoxSeatFront.Checked) 
			{
				this.checkBoxSeatRear.Checked = false;
			}
		}

		private void checkBoxSeatRear_CheckStateChanged(object sender, System.EventArgs e)
		{
			if (this.checkBoxSeatRear.Checked) 
			{
				this.checkBoxSeatFront.Checked = false;
			}
		
		}

		private void checkBoxNonSmoker_CheckedChanged(object sender, System.EventArgs e)
		{
			dirty = (Context.ReqNonSmoker != this.checkBoxNonSmoker.Checked);
			Context.ReqNonSmoker = this.checkBoxNonSmoker.Checked;
			if (Context.ReqNonSmoker) 
			{
				this.checkBoxMaySmoke.Checked = false;
			}
		}

		private void checkBoxMaySmoke_CheckedChanged(object sender, System.EventArgs e)
		{
			dirty = (Context.ReqMaySmoke != this.checkBoxMaySmoke.Checked);
			Context.ReqMaySmoke = this.checkBoxMaySmoke.Checked;
			if (Context.ReqMaySmoke) 
			{
				this.checkBoxNonSmoker.Checked = false;
			}
		
		}

		private void textBoxNumPers_TextChanged(object sender, System.EventArgs e)
		{
			if (this.textBoxNumPers.Text.Equals("")) 
			{
				MessageBox.Show("Bitte eine Zahl zwischen 0 und 9 eingeben");				
				return;
			}

			try 
			{
				int i = Convert.ToInt32(this.textBoxNumPers.Text);
			} 
			catch (FormatException)
			{
				MessageBox.Show("Bitte eine Zahl zwischen 0 und 9 eingeben");				
				return;
			}
			dirty = true;		
		}
	}
}
