using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.IO;

namespace viaticum
{
	/// <summary>
	/// Summary description for FormSettingsDriver.
	/// </summary>
	public class FormSettingsDriver : System.Windows.Forms.Form
	{
		private System.Windows.Forms.TabControl tabControlSettings;
		private System.Windows.Forms.TabPage tabPageDest;
		private System.Windows.Forms.StatusBar statusSettings;
		private System.Windows.Forms.Panel panelSettingsDest;
		private System.Windows.Forms.TabPage tabPageTourPrefs;
		private Microsoft.WindowsCE.Forms.InputPanel inputPanelEinstellungen;
		private System.Windows.Forms.MainMenu mainMenuSettings;
		private System.Windows.Forms.Label labelDirection;
		private System.Windows.Forms.ComboBox comboBoxDirection;
		private System.Windows.Forms.Label labelDriver;
		private System.Windows.Forms.CheckBox checkBoxWomen;
		private System.Windows.Forms.CheckBox checkBoxMen;
		private System.Windows.Forms.Label labelAgeFrom;
		private System.Windows.Forms.TextBox textBoxAgeFrom;
		private System.Windows.Forms.Label labelAgeTo;
		private System.Windows.Forms.TextBox textBoxAgeTo;
		private System.Windows.Forms.CheckBox checkBoxNonSmoker;
		private System.Windows.Forms.Panel panelSettingsPrefs;
		private System.Windows.Forms.TabPage tabPageProfile;
		private System.Windows.Forms.Panel panelSettingsProfiles;
		private System.Windows.Forms.Button buttonOpenProfile;
		private System.Windows.Forms.Button buttonSaveProfile;
		private System.Windows.Forms.Label labelMaxNumPers;
		private System.Windows.Forms.TextBox textBoxMaxNumPers;
		private bool dirty;

		public FormSettingsDriver()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			tabControlSettings.Controls.SetChildIndex(this.tabPageDest, 1);
			tabControlSettings.Controls.SetChildIndex(this.tabPageTourPrefs, 1);
			tabControlSettings.Controls.SetChildIndex(this.tabPageProfile, 1);
			setSettings();
		}

		void setSettings() 
		{
			this.comboBoxDirection.Text	= Context.DirectionAsString;
			if (Context.ReqGender == Context.EnumGender.mnnlich) 
			{
				this.checkBoxMen.Checked = true;
			}
			else if (Context.ReqGender == Context.EnumGender.weiblich) 
			{ 
				this.checkBoxWomen.Checked = true;
			}
			if (Context.ReqAgeFrom != Context.minAge) 
			{
				this.textBoxAgeFrom.Text = Context.ReqAgeFrom.ToString();
			}
			if (Context.ReqAgeTo != Context.maxAge) 
			{
				this.textBoxAgeTo.Text = Context.ReqAgeTo.ToString();
			}
			if (Context.ReqNonSmoker) 
			{
				this.checkBoxNonSmoker.Checked = true;
			}
			this.textBoxMaxNumPers.Text = Context.ReqMaxNumPers.ToString();
		
			dirty = false;

		}
		protected override void Dispose( bool disposing )
		{
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(FormSettingsDriver));
			this.tabControlSettings = new System.Windows.Forms.TabControl();
			this.tabPageDest = new System.Windows.Forms.TabPage();
			this.panelSettingsDest = new System.Windows.Forms.Panel();
			this.comboBoxDirection = new System.Windows.Forms.ComboBox();
			this.labelDirection = new System.Windows.Forms.Label();
			this.tabPageTourPrefs = new System.Windows.Forms.TabPage();
			this.panelSettingsPrefs = new System.Windows.Forms.Panel();
			this.textBoxMaxNumPers = new System.Windows.Forms.TextBox();
			this.labelMaxNumPers = new System.Windows.Forms.Label();
			this.checkBoxNonSmoker = new System.Windows.Forms.CheckBox();
			this.textBoxAgeTo = new System.Windows.Forms.TextBox();
			this.labelAgeTo = new System.Windows.Forms.Label();
			this.textBoxAgeFrom = new System.Windows.Forms.TextBox();
			this.labelAgeFrom = new System.Windows.Forms.Label();
			this.checkBoxMen = new System.Windows.Forms.CheckBox();
			this.checkBoxWomen = new System.Windows.Forms.CheckBox();
			this.labelDriver = new System.Windows.Forms.Label();
			this.tabPageProfile = new System.Windows.Forms.TabPage();
			this.panelSettingsProfiles = new System.Windows.Forms.Panel();
			this.buttonSaveProfile = new System.Windows.Forms.Button();
			this.buttonOpenProfile = new System.Windows.Forms.Button();
			this.statusSettings = new System.Windows.Forms.StatusBar();
			this.inputPanelEinstellungen = new Microsoft.WindowsCE.Forms.InputPanel();
			this.mainMenuSettings = new System.Windows.Forms.MainMenu();
			// 
			// tabControlSettings
			// 
			this.tabControlSettings.Controls.Add(this.tabPageDest);
			this.tabControlSettings.Controls.Add(this.tabPageTourPrefs);
			this.tabControlSettings.Controls.Add(this.tabPageProfile);
			this.tabControlSettings.Enabled = ((bool)(resources.GetObject("tabControlSettings.Enabled")));
			this.tabControlSettings.Font = ((System.Drawing.Font)(resources.GetObject("tabControlSettings.Font")));
			this.tabControlSettings.Location = ((System.Drawing.Point)(resources.GetObject("tabControlSettings.Location")));
			this.tabControlSettings.SelectedIndex = 0;
			this.tabControlSettings.Size = ((System.Drawing.Size)(resources.GetObject("tabControlSettings.Size")));
			this.tabControlSettings.Text = resources.GetString("tabControlSettings.Text");
			this.tabControlSettings.Visible = ((bool)(resources.GetObject("tabControlSettings.Visible")));
			this.tabControlSettings.SelectedIndexChanged += new System.EventHandler(this.tabControlSettings_SelectedIndexChanged);
			// 
			// tabPageDest
			// 
			this.tabPageDest.Controls.Add(this.panelSettingsDest);
			this.tabPageDest.Enabled = ((bool)(resources.GetObject("tabPageDest.Enabled")));
			this.tabPageDest.Location = ((System.Drawing.Point)(resources.GetObject("tabPageDest.Location")));
			this.tabPageDest.Size = ((System.Drawing.Size)(resources.GetObject("tabPageDest.Size")));
			this.tabPageDest.Text = resources.GetString("tabPageDest.Text");
			// 
			// panelSettingsDest
			// 
			this.panelSettingsDest.BackColor = System.Drawing.Color.LemonChiffon;
			this.panelSettingsDest.Controls.Add(this.comboBoxDirection);
			this.panelSettingsDest.Controls.Add(this.labelDirection);
			this.panelSettingsDest.Enabled = ((bool)(resources.GetObject("panelSettingsDest.Enabled")));
			this.panelSettingsDest.Location = ((System.Drawing.Point)(resources.GetObject("panelSettingsDest.Location")));
			this.panelSettingsDest.Size = ((System.Drawing.Size)(resources.GetObject("panelSettingsDest.Size")));
			this.panelSettingsDest.Text = resources.GetString("panelSettingsDest.Text");
			this.panelSettingsDest.Visible = ((bool)(resources.GetObject("panelSettingsDest.Visible")));
			// 
			// comboBoxDirection
			// 
			this.comboBoxDirection.Enabled = ((bool)(resources.GetObject("comboBoxDirection.Enabled")));
			this.comboBoxDirection.Font = ((System.Drawing.Font)(resources.GetObject("comboBoxDirection.Font")));
			this.comboBoxDirection.Items.Add(resources.GetString("resource"));
			this.comboBoxDirection.Items.Add(resources.GetString("resource1"));
			this.comboBoxDirection.Items.Add(resources.GetString("resource2"));
			this.comboBoxDirection.Items.Add(resources.GetString("resource3"));
			this.comboBoxDirection.Location = ((System.Drawing.Point)(resources.GetObject("comboBoxDirection.Location")));
			this.comboBoxDirection.Size = ((System.Drawing.Size)(resources.GetObject("comboBoxDirection.Size")));
			this.comboBoxDirection.Text = resources.GetString("comboBoxDirection.Text");
			this.comboBoxDirection.Visible = ((bool)(resources.GetObject("comboBoxDirection.Visible")));
			this.comboBoxDirection.SelectedIndexChanged += new System.EventHandler(this.comboBoxDirection_SelectedIndexChanged);
			// 
			// labelDirection
			// 
			this.labelDirection.Enabled = ((bool)(resources.GetObject("labelDirection.Enabled")));
			this.labelDirection.Font = ((System.Drawing.Font)(resources.GetObject("labelDirection.Font")));
			this.labelDirection.Location = ((System.Drawing.Point)(resources.GetObject("labelDirection.Location")));
			this.labelDirection.Size = ((System.Drawing.Size)(resources.GetObject("labelDirection.Size")));
			this.labelDirection.Text = resources.GetString("labelDirection.Text");
			this.labelDirection.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelDirection.TextAlign")));
			this.labelDirection.Visible = ((bool)(resources.GetObject("labelDirection.Visible")));
			// 
			// tabPageTourPrefs
			// 
			this.tabPageTourPrefs.Controls.Add(this.panelSettingsPrefs);
			this.tabPageTourPrefs.Enabled = ((bool)(resources.GetObject("tabPageTourPrefs.Enabled")));
			this.tabPageTourPrefs.Location = ((System.Drawing.Point)(resources.GetObject("tabPageTourPrefs.Location")));
			this.tabPageTourPrefs.Size = ((System.Drawing.Size)(resources.GetObject("tabPageTourPrefs.Size")));
			this.tabPageTourPrefs.Text = resources.GetString("tabPageTourPrefs.Text");
			// 
			// panelSettingsPrefs
			// 
			this.panelSettingsPrefs.BackColor = System.Drawing.Color.LemonChiffon;
			this.panelSettingsPrefs.Controls.Add(this.textBoxMaxNumPers);
			this.panelSettingsPrefs.Controls.Add(this.labelMaxNumPers);
			this.panelSettingsPrefs.Controls.Add(this.checkBoxNonSmoker);
			this.panelSettingsPrefs.Controls.Add(this.textBoxAgeTo);
			this.panelSettingsPrefs.Controls.Add(this.labelAgeTo);
			this.panelSettingsPrefs.Controls.Add(this.textBoxAgeFrom);
			this.panelSettingsPrefs.Controls.Add(this.labelAgeFrom);
			this.panelSettingsPrefs.Controls.Add(this.checkBoxMen);
			this.panelSettingsPrefs.Controls.Add(this.checkBoxWomen);
			this.panelSettingsPrefs.Controls.Add(this.labelDriver);
			this.panelSettingsPrefs.Enabled = ((bool)(resources.GetObject("panelSettingsPrefs.Enabled")));
			this.panelSettingsPrefs.Location = ((System.Drawing.Point)(resources.GetObject("panelSettingsPrefs.Location")));
			this.panelSettingsPrefs.Size = ((System.Drawing.Size)(resources.GetObject("panelSettingsPrefs.Size")));
			this.panelSettingsPrefs.Text = resources.GetString("panelSettingsPrefs.Text");
			this.panelSettingsPrefs.Visible = ((bool)(resources.GetObject("panelSettingsPrefs.Visible")));
			// 
			// textBoxMaxNumPers
			// 
			this.textBoxMaxNumPers.Enabled = ((bool)(resources.GetObject("textBoxMaxNumPers.Enabled")));
			this.textBoxMaxNumPers.Font = ((System.Drawing.Font)(resources.GetObject("textBoxMaxNumPers.Font")));
			this.textBoxMaxNumPers.Location = ((System.Drawing.Point)(resources.GetObject("textBoxMaxNumPers.Location")));
			this.textBoxMaxNumPers.MaxLength = ((int)(resources.GetObject("textBoxMaxNumPers.MaxLength")));
			this.textBoxMaxNumPers.Multiline = ((bool)(resources.GetObject("textBoxMaxNumPers.Multiline")));
			this.textBoxMaxNumPers.PasswordChar = ((char)(resources.GetObject("textBoxMaxNumPers.PasswordChar")));
			this.textBoxMaxNumPers.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("textBoxMaxNumPers.ScrollBars")));
			this.textBoxMaxNumPers.Size = ((System.Drawing.Size)(resources.GetObject("textBoxMaxNumPers.Size")));
			this.textBoxMaxNumPers.Text = resources.GetString("textBoxMaxNumPers.Text");
			this.textBoxMaxNumPers.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("textBoxMaxNumPers.TextAlign")));
			this.textBoxMaxNumPers.Visible = ((bool)(resources.GetObject("textBoxMaxNumPers.Visible")));
			this.textBoxMaxNumPers.WordWrap = ((bool)(resources.GetObject("textBoxMaxNumPers.WordWrap")));
			this.textBoxMaxNumPers.TextChanged += new System.EventHandler(this.textBoxMaxNumPers_TextChanged);
			// 
			// labelMaxNumPers
			// 
			this.labelMaxNumPers.Enabled = ((bool)(resources.GetObject("labelMaxNumPers.Enabled")));
			this.labelMaxNumPers.Font = ((System.Drawing.Font)(resources.GetObject("labelMaxNumPers.Font")));
			this.labelMaxNumPers.Location = ((System.Drawing.Point)(resources.GetObject("labelMaxNumPers.Location")));
			this.labelMaxNumPers.Size = ((System.Drawing.Size)(resources.GetObject("labelMaxNumPers.Size")));
			this.labelMaxNumPers.Text = resources.GetString("labelMaxNumPers.Text");
			this.labelMaxNumPers.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelMaxNumPers.TextAlign")));
			this.labelMaxNumPers.Visible = ((bool)(resources.GetObject("labelMaxNumPers.Visible")));
			// 
			// checkBoxNonSmoker
			// 
			this.checkBoxNonSmoker.Enabled = ((bool)(resources.GetObject("checkBoxNonSmoker.Enabled")));
			this.checkBoxNonSmoker.Font = ((System.Drawing.Font)(resources.GetObject("checkBoxNonSmoker.Font")));
			this.checkBoxNonSmoker.Location = ((System.Drawing.Point)(resources.GetObject("checkBoxNonSmoker.Location")));
			this.checkBoxNonSmoker.Size = ((System.Drawing.Size)(resources.GetObject("checkBoxNonSmoker.Size")));
			this.checkBoxNonSmoker.Text = resources.GetString("checkBoxNonSmoker.Text");
			this.checkBoxNonSmoker.Visible = ((bool)(resources.GetObject("checkBoxNonSmoker.Visible")));
			this.checkBoxNonSmoker.CheckStateChanged += new System.EventHandler(this.checkBoxNonSmoker_CheckStateChanged);
			// 
			// textBoxAgeTo
			// 
			this.textBoxAgeTo.Enabled = ((bool)(resources.GetObject("textBoxAgeTo.Enabled")));
			this.textBoxAgeTo.Font = ((System.Drawing.Font)(resources.GetObject("textBoxAgeTo.Font")));
			this.textBoxAgeTo.Location = ((System.Drawing.Point)(resources.GetObject("textBoxAgeTo.Location")));
			this.textBoxAgeTo.MaxLength = ((int)(resources.GetObject("textBoxAgeTo.MaxLength")));
			this.textBoxAgeTo.Multiline = ((bool)(resources.GetObject("textBoxAgeTo.Multiline")));
			this.textBoxAgeTo.PasswordChar = ((char)(resources.GetObject("textBoxAgeTo.PasswordChar")));
			this.textBoxAgeTo.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("textBoxAgeTo.ScrollBars")));
			this.textBoxAgeTo.Size = ((System.Drawing.Size)(resources.GetObject("textBoxAgeTo.Size")));
			this.textBoxAgeTo.Text = resources.GetString("textBoxAgeTo.Text");
			this.textBoxAgeTo.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("textBoxAgeTo.TextAlign")));
			this.textBoxAgeTo.Visible = ((bool)(resources.GetObject("textBoxAgeTo.Visible")));
			this.textBoxAgeTo.WordWrap = ((bool)(resources.GetObject("textBoxAgeTo.WordWrap")));
			this.textBoxAgeTo.TextChanged += new System.EventHandler(this.textBoxAgeTo_TextChanged);
			// 
			// labelAgeTo
			// 
			this.labelAgeTo.Enabled = ((bool)(resources.GetObject("labelAgeTo.Enabled")));
			this.labelAgeTo.Font = ((System.Drawing.Font)(resources.GetObject("labelAgeTo.Font")));
			this.labelAgeTo.Location = ((System.Drawing.Point)(resources.GetObject("labelAgeTo.Location")));
			this.labelAgeTo.Size = ((System.Drawing.Size)(resources.GetObject("labelAgeTo.Size")));
			this.labelAgeTo.Text = resources.GetString("labelAgeTo.Text");
			this.labelAgeTo.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelAgeTo.TextAlign")));
			this.labelAgeTo.Visible = ((bool)(resources.GetObject("labelAgeTo.Visible")));
			// 
			// textBoxAgeFrom
			// 
			this.textBoxAgeFrom.Enabled = ((bool)(resources.GetObject("textBoxAgeFrom.Enabled")));
			this.textBoxAgeFrom.Font = ((System.Drawing.Font)(resources.GetObject("textBoxAgeFrom.Font")));
			this.textBoxAgeFrom.Location = ((System.Drawing.Point)(resources.GetObject("textBoxAgeFrom.Location")));
			this.textBoxAgeFrom.MaxLength = ((int)(resources.GetObject("textBoxAgeFrom.MaxLength")));
			this.textBoxAgeFrom.Multiline = ((bool)(resources.GetObject("textBoxAgeFrom.Multiline")));
			this.textBoxAgeFrom.PasswordChar = ((char)(resources.GetObject("textBoxAgeFrom.PasswordChar")));
			this.textBoxAgeFrom.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("textBoxAgeFrom.ScrollBars")));
			this.textBoxAgeFrom.Size = ((System.Drawing.Size)(resources.GetObject("textBoxAgeFrom.Size")));
			this.textBoxAgeFrom.Text = resources.GetString("textBoxAgeFrom.Text");
			this.textBoxAgeFrom.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("textBoxAgeFrom.TextAlign")));
			this.textBoxAgeFrom.Visible = ((bool)(resources.GetObject("textBoxAgeFrom.Visible")));
			this.textBoxAgeFrom.WordWrap = ((bool)(resources.GetObject("textBoxAgeFrom.WordWrap")));
			this.textBoxAgeFrom.TextChanged += new System.EventHandler(this.textBoxAgeFrom_TextChanged);
			// 
			// labelAgeFrom
			// 
			this.labelAgeFrom.Enabled = ((bool)(resources.GetObject("labelAgeFrom.Enabled")));
			this.labelAgeFrom.Font = ((System.Drawing.Font)(resources.GetObject("labelAgeFrom.Font")));
			this.labelAgeFrom.Location = ((System.Drawing.Point)(resources.GetObject("labelAgeFrom.Location")));
			this.labelAgeFrom.Size = ((System.Drawing.Size)(resources.GetObject("labelAgeFrom.Size")));
			this.labelAgeFrom.Text = resources.GetString("labelAgeFrom.Text");
			this.labelAgeFrom.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelAgeFrom.TextAlign")));
			this.labelAgeFrom.Visible = ((bool)(resources.GetObject("labelAgeFrom.Visible")));
			// 
			// checkBoxMen
			// 
			this.checkBoxMen.Enabled = ((bool)(resources.GetObject("checkBoxMen.Enabled")));
			this.checkBoxMen.Font = ((System.Drawing.Font)(resources.GetObject("checkBoxMen.Font")));
			this.checkBoxMen.Location = ((System.Drawing.Point)(resources.GetObject("checkBoxMen.Location")));
			this.checkBoxMen.Size = ((System.Drawing.Size)(resources.GetObject("checkBoxMen.Size")));
			this.checkBoxMen.Text = resources.GetString("checkBoxMen.Text");
			this.checkBoxMen.Visible = ((bool)(resources.GetObject("checkBoxMen.Visible")));
			this.checkBoxMen.CheckStateChanged += new System.EventHandler(this.checkBoxMen_CheckStateChanged);
			// 
			// checkBoxWomen
			// 
			this.checkBoxWomen.Enabled = ((bool)(resources.GetObject("checkBoxWomen.Enabled")));
			this.checkBoxWomen.Font = ((System.Drawing.Font)(resources.GetObject("checkBoxWomen.Font")));
			this.checkBoxWomen.Location = ((System.Drawing.Point)(resources.GetObject("checkBoxWomen.Location")));
			this.checkBoxWomen.Size = ((System.Drawing.Size)(resources.GetObject("checkBoxWomen.Size")));
			this.checkBoxWomen.Text = resources.GetString("checkBoxWomen.Text");
			this.checkBoxWomen.Visible = ((bool)(resources.GetObject("checkBoxWomen.Visible")));
			this.checkBoxWomen.CheckStateChanged += new System.EventHandler(this.checkBoxWomen_CheckStateChanged);
			// 
			// labelDriver
			// 
			this.labelDriver.Enabled = ((bool)(resources.GetObject("labelDriver.Enabled")));
			this.labelDriver.Font = ((System.Drawing.Font)(resources.GetObject("labelDriver.Font")));
			this.labelDriver.ForeColor = System.Drawing.Color.Maroon;
			this.labelDriver.Location = ((System.Drawing.Point)(resources.GetObject("labelDriver.Location")));
			this.labelDriver.Size = ((System.Drawing.Size)(resources.GetObject("labelDriver.Size")));
			this.labelDriver.Text = resources.GetString("labelDriver.Text");
			this.labelDriver.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelDriver.TextAlign")));
			this.labelDriver.Visible = ((bool)(resources.GetObject("labelDriver.Visible")));
			// 
			// tabPageProfile
			// 
			this.tabPageProfile.Controls.Add(this.panelSettingsProfiles);
			this.tabPageProfile.Enabled = ((bool)(resources.GetObject("tabPageProfile.Enabled")));
			this.tabPageProfile.Location = ((System.Drawing.Point)(resources.GetObject("tabPageProfile.Location")));
			this.tabPageProfile.Size = ((System.Drawing.Size)(resources.GetObject("tabPageProfile.Size")));
			this.tabPageProfile.Text = resources.GetString("tabPageProfile.Text");
			// 
			// panelSettingsProfiles
			// 
			this.panelSettingsProfiles.BackColor = System.Drawing.Color.LemonChiffon;
			this.panelSettingsProfiles.Controls.Add(this.buttonSaveProfile);
			this.panelSettingsProfiles.Controls.Add(this.buttonOpenProfile);
			this.panelSettingsProfiles.Enabled = ((bool)(resources.GetObject("panelSettingsProfiles.Enabled")));
			this.panelSettingsProfiles.Location = ((System.Drawing.Point)(resources.GetObject("panelSettingsProfiles.Location")));
			this.panelSettingsProfiles.Size = ((System.Drawing.Size)(resources.GetObject("panelSettingsProfiles.Size")));
			this.panelSettingsProfiles.Text = resources.GetString("panelSettingsProfiles.Text");
			this.panelSettingsProfiles.Visible = ((bool)(resources.GetObject("panelSettingsProfiles.Visible")));
			// 
			// buttonSaveProfile
			// 
			this.buttonSaveProfile.Enabled = ((bool)(resources.GetObject("buttonSaveProfile.Enabled")));
			this.buttonSaveProfile.Font = ((System.Drawing.Font)(resources.GetObject("buttonSaveProfile.Font")));
			this.buttonSaveProfile.Location = ((System.Drawing.Point)(resources.GetObject("buttonSaveProfile.Location")));
			this.buttonSaveProfile.Size = ((System.Drawing.Size)(resources.GetObject("buttonSaveProfile.Size")));
			this.buttonSaveProfile.Text = resources.GetString("buttonSaveProfile.Text");
			this.buttonSaveProfile.Visible = ((bool)(resources.GetObject("buttonSaveProfile.Visible")));
			this.buttonSaveProfile.Click += new System.EventHandler(this.buttonSaveProfile_Click);
			// 
			// buttonOpenProfile
			// 
			this.buttonOpenProfile.Enabled = ((bool)(resources.GetObject("buttonOpenProfile.Enabled")));
			this.buttonOpenProfile.Font = ((System.Drawing.Font)(resources.GetObject("buttonOpenProfile.Font")));
			this.buttonOpenProfile.Location = ((System.Drawing.Point)(resources.GetObject("buttonOpenProfile.Location")));
			this.buttonOpenProfile.Size = ((System.Drawing.Size)(resources.GetObject("buttonOpenProfile.Size")));
			this.buttonOpenProfile.Text = resources.GetString("buttonOpenProfile.Text");
			this.buttonOpenProfile.Visible = ((bool)(resources.GetObject("buttonOpenProfile.Visible")));
			this.buttonOpenProfile.Click += new System.EventHandler(this.buttonOpenProfile_Click);
			// 
			// statusSettings
			// 
			this.statusSettings.Enabled = ((bool)(resources.GetObject("statusSettings.Enabled")));
			this.statusSettings.Font = ((System.Drawing.Font)(resources.GetObject("statusSettings.Font")));
			this.statusSettings.Location = ((System.Drawing.Point)(resources.GetObject("statusSettings.Location")));
			this.statusSettings.Size = ((System.Drawing.Size)(resources.GetObject("statusSettings.Size")));
			this.statusSettings.Text = resources.GetString("statusSettings.Text");
			this.statusSettings.Visible = ((bool)(resources.GetObject("statusSettings.Visible")));
			// 
			// FormSettingsDriver
			// 
			this.ClientSize = ((System.Drawing.Size)(resources.GetObject("$this.ClientSize")));
			this.Controls.Add(this.statusSettings);
			this.Controls.Add(this.tabControlSettings);
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.Menu = this.mainMenuSettings;
			this.Text = resources.GetString("$this.Text");
			this.Visible = ((bool)(resources.GetObject("$this.Visible")));
			this.Closing += new System.ComponentModel.CancelEventHandler(this.FormSettingsDriver_OKClick);

		}
		#endregion

		private void FormSettingsDriver_OKClick(object sender, System.ComponentModel.CancelEventArgs e)
		{   
			e.Cancel = false;
			if (dirty) 
			{
				DialogResult result =
					MessageBox.Show("Wollen Sie die Einstellungen bernehmen?", "", MessageBoxButtons.YesNoCancel, MessageBoxIcon.Question, MessageBoxDefaultButton.Button1);			
				if(result == DialogResult.Yes)
				{
					saveSettings(ref e);
				} 
				else if (result == DialogResult.Cancel)
				{ e.Cancel = true;}
			}
			if (!e.Cancel) 
			{
				this.inputPanelEinstellungen.Enabled = false;
			}
		}

		private void saveSettings(ref System.ComponentModel.CancelEventArgs e) 
		{
			Context.DirectionAsString = this.comboBoxDirection.Text;
			// Gender
			if (this.checkBoxWomen.Checked) 
			{
				Context.ReqGender = Context.EnumGender.weiblich;
			} 
			else if (this.checkBoxMen.Checked) 
			{
				Context.ReqGender = Context.EnumGender.mnnlich;
			} 
			else 
			{
				Context.ReqGender = Context.EnumGender.unspezifiziert;
			}
			// Age from
			try 
			{
				Context.ReqAgeFrom = Convert.ToInt32(this.textBoxAgeFrom.Text);
			}
			catch (FormatException) 
			{
				Context.ReqAgeFrom = Context.minAge;
			}
			// Age to
			try 
			{
				Context.ReqAgeTo = Convert.ToInt32(this.textBoxAgeTo.Text);
			}
			catch (FormatException) 
			{
				Context.ReqAgeTo = Context.maxAge;
			}
			if (Context.ReqAgeFrom > Context.ReqAgeTo) 
			{
				MessageBox.Show("Alter bis muss grer sein wie Alter von");
				e.Cancel = true;
				return;
			}
			// NonSmoker
			Context.ReqNonSmoker = this.checkBoxNonSmoker.Checked;

			// max. num persons (total)
			try 
			{
				Context.ReqMaxNumPers = Convert.ToInt32(this.textBoxMaxNumPers.Text);
				if (Context.ReqMaxNumPers < 1 || Context.ReqMaxNumPers > 9) 
				{
					MessageBox.Show("Gesamtzahl Pers. muss zwischen 1 und 9 sein");
					e.Cancel = true;
					return;
				}
			}
			catch (FormatException) 
			{
				Context.ReqMaxNumPers = Context.defMaxNumPers;
			}

			dirty = false;

		}
		private void comboBoxDirection_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			dirty = true;
		}

		private void checkBoxWomen_CheckStateChanged(object sender, System.EventArgs e)
		{
			if (this.checkBoxWomen.Checked && this.checkBoxMen.Checked) 
			{
				this.checkBoxMen.Checked = false;
			}
			dirty = true;
		}

		private void checkBoxMen_CheckStateChanged(object sender, System.EventArgs e)
		{
			if (this.checkBoxMen.Checked && this.checkBoxWomen.Checked) 
			{
				this.checkBoxWomen.Checked = false;
			}
			dirty = true;
		
		}

		private void textBoxAgeFrom_TextChanged(object sender, System.EventArgs e)
		{
			if (this.textBoxAgeFrom.Text.Equals("")) 
			{
				dirty = true;
				return;
			}

			try 
			{
				int i = Convert.ToInt32(this.textBoxAgeFrom.Text);
			} 
			catch (FormatException)
			{
				MessageBox.Show("Bitte Zahl zwischen 1 und 99 eingeben");				
				return;
			}

			dirty = true;
		}

		private void textBoxAgeTo_TextChanged(object sender, System.EventArgs e)
		{   
			if (this.textBoxAgeTo.Text.Equals("")) 
			{
				dirty = true;
				return;
			}

			try 
			{
				int i = Convert.ToInt32(this.textBoxAgeTo.Text);
			} 
			catch (FormatException)
			{
				MessageBox.Show("Bitte Zahl zwischen 1 und 99 eingeben");				
				return;
			}
			dirty = true;
		}

		private void checkBoxNonSmoker_CheckStateChanged(object sender, System.EventArgs e)
		{
			dirty = (Context.ReqNonSmoker != this.checkBoxNonSmoker.Checked);
			Context.ReqNonSmoker = this.checkBoxNonSmoker.Checked;
		}

		private void buttonOpenProfile_Click(object sender, System.EventArgs e)
		{
			string file;
			string s;
			bool   b;
			int    i;
			IniFile prefFile;

			OpenFileDialog openFileDialogProfiles = new OpenFileDialog();

			openFileDialogProfiles.Filter = "ini Dateien (*.ini)|*.ini" ;
			openFileDialogProfiles.FilterIndex = 1 ;

			if(openFileDialogProfiles.ShowDialog() == DialogResult.OK)
			{
				if((file = openFileDialogProfiles.FileName)!= null)
				{
					prefFile = new IniFile(file, IniFile.EnumFileMode.read);					
					prefFile.Get("AgeCar", out i);
					Context.ReqAgeCar = i;
					prefFile.Get("AgeFrom", out i);
					Context.ReqAgeFrom = i;
					prefFile.Get("AgeTo", out i);
					Context.ReqAgeTo = i;
					prefFile.Get("Destination1", out s);
					Context.ReqDestination1 = s;
					prefFile.Get("Destination2", out s);
					Context.ReqDestination2 = s;
					prefFile.Get("Destination2Optional", out b);
					Context.ReqDestination2Optional = b;
					prefFile.Get("Direction", out s);
					Context.DirectionAsString = s;
					prefFile.Get("Gender", out s);
					Context.ReqGender = (Context.EnumGender)Enum.Parse(typeof(Context.EnumGender), s, true);
					prefFile.Get("HasAbs", out b);
					Context.ReqHasAbs = b;
					prefFile.Get("HasAirbag", out b);
					Context.ReqHasAirbag = b;
					prefFile.Get("NonSmoker", out b);
					Context.ReqNonSmoker = b;
					prefFile.Get("Seat", out s);
					Context.ReqSeat = (Context.EnumSeat)Enum.Parse(typeof(Context.EnumSeat), s, true);
					prefFile.Get("MaxNumPers", out i);
					Context.ReqMaxNumPers = i;

					setSettings();
				}
			}
		
		}

		private void buttonSaveProfile_Click(object sender, System.EventArgs e)
		{
			string file;
			IniFile prefFile;
			System.ComponentModel.CancelEventArgs ce;

			SaveFileDialog saveFileDialogProfiles = new SaveFileDialog();

			saveFileDialogProfiles.Filter = "ini Dateien (*.ini)|*.ini" ;
			saveFileDialogProfiles.FilterIndex = 1 ;

			if(saveFileDialogProfiles.ShowDialog() == DialogResult.OK)
			{
				if((file = saveFileDialogProfiles.FileName)!= null)
				{
					ce = new System.ComponentModel.CancelEventArgs();
					saveSettings(ref ce);
					if (ce.Cancel) 
					{
						return;
					}
					prefFile = new IniFile(file, IniFile.EnumFileMode.write);
					prefFile.Put("AgeCar", Context.ReqAgeCar);
					prefFile.Put("AgeFrom", Context.ReqAgeFrom);
					prefFile.Put("AgeTo", Context.ReqAgeTo);
					prefFile.Put("Destination1", Context.ReqDestination1);
					prefFile.Put("Destination2", Context.ReqDestination2);
					prefFile.Put("Destination2Optional", Context.ReqDestination2Optional);
					prefFile.Put("Direction", Context.DirectionAsString);
					prefFile.Put("ReqGender", Context.ReqGender.ToString());
					prefFile.Put("HasAbs", Context.ReqHasAbs);
					prefFile.Put("HasAirbag", Context.ReqHasAirbag);
					prefFile.Put("NonSmoker", Context.ReqNonSmoker);
					prefFile.Put("Seat", Context.ReqSeat.ToString());
					prefFile.Put("MaxNumPers", Context.ReqMaxNumPers.ToString());
					prefFile.WriteFile();
				}
			}		
		}

		private void tabControlSettings_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			if (((TabControl)sender).SelectedIndex == 0) 
			{
				this.statusSettings.Text = "Bitte Fahrtziel angeben!";
			} 
			else if (((TabControl)sender).SelectedIndex == 1) 
			{
				this.statusSettings.Text = "Bitte Prferenzen einstellen!";
			}
			else if (((TabControl)sender).SelectedIndex == 2) 
			{
				this.statusSettings.Text = "Bitte Profil laden oder speichern!";
			}
		}

		private void textBoxMaxNumPers_TextChanged(object sender, System.EventArgs e)
		{
			if (this.textBoxMaxNumPers.Text.Equals("")) 
			{
				MessageBox.Show("Bitte geben Sie eine Zahl zwischen 1 und 9 ein");				
				return;
			}

			try 
			{
				int i = Convert.ToInt32(this.textBoxMaxNumPers.Text);
			} 
			catch (FormatException)
			{
				MessageBox.Show("Bitte geben Sie eine Zahl zwischen 1 und 9 ein");				
				return;
			}
			dirty = true;
		
		}

	}
}
