using System;
using System.Text;
//using OpenNETCF.Security.Cryptography;
//using OpenNETCF.Security.Cryptography.NativeMethods; 
using System.Security.Cryptography;


namespace viaticum
{
	/// <summary>
	/// Summary description for RsaCrypt.
	/// </summary>
	public class RsaCrypt
	{
		//private string strPubKeyTest = "<RSAKeyValue><Modulus>sttDL3xug/BqMk13d6G5vWekmyul/d3pz/Lpvk2Q1GNBSriatLxCRJSuOAie8g/yby624K85qJLwMMzwCru7b+kNTA2dYaK4Nk+FkZMLCVmomiW1zns2KsT1aF9hwr32Nyje3OuJDlHqBtcOpCGbo+kJ+JC88BM1J9AkdoAa+SE=</Modulus><Exponent>AQAB</Exponent></RSAKeyValue>";
		//private string strPriKeyTest = "<RSAKeyValue><Modulus>sttDL3xug/BqMk13d6G5vWekmyul/d3pz/Lpvk2Q1GNBSriatLxCRJSuOAie8g/yby624K85qJLwMMzwCru7b+kNTA2dYaK4Nk+FkZMLCVmomiW1zns2KsT1aF9hwr32Nyje3OuJDlHqBtcOpCGbo+kJ+JC88BM1J9AkdoAa+SE=</Modulus><Exponent>AQAB</Exponent><P>3BoisxTvnh8Xtg/02fTGtr/k8OXUOiEfKwAKzWje36v8zkTfIc4EzdZbRskJywq1NMo9U1EHM3DUv+Ya/KGPzQ==</P><Q>0AcCph/CdQeB2/M+q3BSlzimr9Chw9zaHk1x8MBCHdRB9c26VcS0AmKW+G4VzjWJjI6cK8j/GQjhnRn7UbBypQ==</Q><DP>bikCjwD+gPRs6KmJ0gCp6FOY4V0WYFWthNcLkQ1Y5zfsWsyrpP649tC/dGkwZpggY6CJGwcmBIAHa1hez2yJTQ==</DP><DQ>Uzva1Xkzpvuf+89xrcq9YQArwYDqmKGPLDy0cC2cxq6czarI+XRAyguEeFYjp2RIatLMrcA4QV4KV3+DzQWaeQ==</DQ><InverseQ>eriVG9Kp3CQ/J9PpfMlemC7tPIs6m//LyhKD7J5zLGIzz+71C5QjVi2dRwtvjGJaexOTi+TRIv2fT/LhWmsCDQ==</InverseQ><D>sjfHZ47OtIuf1gXY8AznfnLC05eXrDIuo/YBsY2qredFDQaLqWIZiiq4ur7kWoFHakAbHCGeC3p2+bmLyrYr2nm8Ogj0c1NUneE8ASoKWfnbcWxW377Oeogj16frPUoAgwU1gFURdTxozgNLThVtNItrc3Doa5eJ+U7pRSz2edE=</D></RSAKeyValue>";
				
		private string myPrivKey;
		private string masterPubKey;

		public RsaCrypt(string myPrivKey, string masterPubKey)
		{
			this.myPrivKey = myPrivKey;
			this.masterPubKey = masterPubKey;
		}

		public bool verifyData(string data, string digest) // digest is Base64 string
		{
			RSACryptoServiceProvider rsa = new RSACryptoServiceProvider();
			byte[] signedDataBytes = Encoding.UTF8.GetBytes(data);
			byte[] digestBytes = System.Convert.FromBase64String(digest);
			//rsa.FromXmlString(masterPubKey);

			return(rsa.VerifyData(signedDataBytes, new SHA1CryptoServiceProvider(), digestBytes));
		}

		public string signData(string data) // returns Base64 string
		{
			RSACryptoServiceProvider rsa = new RSACryptoServiceProvider();
			//rsa.FromXmlString(myPrivKey);

			byte[] signedDataBytes = rsa.SignData(Encoding.UTF8.GetBytes(data), new SHA1CryptoServiceProvider());
			
			return(System.Convert.ToBase64String(signedDataBytes, 0, signedDataBytes.Length)); 
		}

		public string encryptData(string data) // with masterPubKey
		{
			RSACryptoServiceProvider rsa = new RSACryptoServiceProvider();
			//rsa.FromXmlString(masterPubKey);
			byte[] dataAsBytes = Encoding.UTF8.GetBytes(data);
			byte[] encryptedDataAsBytes = rsa.EncryptValue(dataAsBytes);

			return(System.Convert.ToBase64String(encryptedDataAsBytes, 0, encryptedDataAsBytes.Length)); 

		}
	}
}