using System;
using System.Collections;
using System.Threading;
using System.Net;
using System.Net.Sockets;
using System.Text;


namespace viaticum
{
	/// <summary>
	/// Passenger part of UDP protocol
	/// </summary>
	public class UdpReceiver 
	{
		const int c_sleep_time_receive = 5000000;
		const int c_sleep_time = 500;
		bool stopReceiving;
		bool running;
		IPAddress mcastAddress;
		int mcastPort;
		Socket mcastSocket;
		MulticastOption mcastOption;
		Hashtable ipHash;

		public UdpReceiver()
		{
			return; // TEST

			// Initialize the multicast address group and multicast port.
			// Both address and port are selected from the allowed sets as
			// defined in the related RFC documents. These are the same 
			// as the values used by the sender.
			IPAddress  localIPAddr = IPAddress.Parse(Context.Identcard.MyIpAddress);
			mcastAddress = IPAddress.Parse(Context.Identcard.MyMulticastGroup);
			mcastPort    = Context.Identcard.MyUdpPort;
			ipHash = new Hashtable();
			// join multicast group
			try
			{
				// Create a multicast socket.
				mcastSocket = new Socket(AddressFamily.InterNetwork, 
					SocketType.Dgram, 
					ProtocolType.Udp);
				
				/* not working in WinCE :-((
				mcastSocket.SetSocketOption(SocketOptionLevel.Socket,
					SocketOptionName.ReceiveTimeout,
					5000);     
				*/
              
				// Get the local IP address used by the listener and the sender to
				// exchange multicast messages. 
				IPAddress  localIPAddrAny = IPAddress.Any; 

				// Create an IPEndPoint object. 
				EndPoint localEP = (EndPoint)new IPEndPoint(localIPAddrAny, mcastPort);
        
				// Bind this endpoint to the multicast socket.
				mcastSocket.Bind(localEP);

				// Define a MulticastOption object specifying the multicast group 
				// address and the local IP address.
				// The multicast group address is the same as the address used by the listener.
				mcastOption = new MulticastOption(mcastAddress, localIPAddr);
        
				mcastSocket.SetSocketOption(SocketOptionLevel.IP, 
					SocketOptionName.AddMembership, 
					mcastOption);

				mcastSocket.Blocking = false;

			}
			catch (SocketException se)
			{
				string shouldIp = Context.Identcard.MyIpAddress; 
				IPEndPoint myIp = new IPEndPoint(Dns.Resolve(Dns.GetHostName()).AddressList[0], 0);
				Debug.WriteLine("Bitte verwenden Sie die Ihnen zugeordnete IP-Adresse " + shouldIp + " statt der momentan eingestellten " + myIp.Address.ToString());
				//Debug.WriteLine(se.Message);
				shutdown();
				throw new Exception("Konfigurationsfehler", se);
			}		
		}
		public bool StopReceiving
		{ 
			get 
			{
				return stopReceiving;
			}
			set 
			{
				stopReceiving = value;
			}
		}

		private bool Running 
		{ 
			get 
			{
				{return running;}
			}
			set 
			{
				lock(this) 
				{running = value;}
			}
		}

		public bool IsRunning 
		{
			get { return running;}
		}

		public void shutdown () 
		{
			if (mcastSocket != null) 
			{
				StopReceiving = true;
				while (Running)
				{
					Thread.Sleep(c_sleep_time);
				}
				mcastSocket.Shutdown(SocketShutdown.Both);
				mcastSocket.Close();
				mcastSocket = null;
			}
		}
		private bool check_xml_msg (byte[] bytes) 
		{ 
			int ageFrom;
			int ageTo;
			int reqMaxNumPers;
			bool canSmoke;
			Context.EnumGender gender;
			Context.EnumDirections direction;
			XMLPackaging xp = new XMLPackaging();

			xp.xml2ave(bytes, out ageFrom, out ageTo, out reqMaxNumPers, out canSmoke, out gender, out direction);

			return (Query.qAve2Passenger(ageFrom, ageTo, reqMaxNumPers, canSmoke, gender, direction));
		}

		public void startReceiveBroadcastMessages() 
		{
			if (Running) 
			{
				return;
			}
			Thread tReceive = new Thread(new ThreadStart(receiveAVE));
			StopReceiving = false;
			tReceive.Start();
		}

		public void receiveAVE() 
		{
			return; // TEST

			EndPoint remoteEP;
			IPEndPoint ipAny = new IPEndPoint(IPAddress.Any, mcastPort);
			ArrayList readList = new ArrayList();
			int available;

			Running = true;
			while (!StopReceiving) 
			{
				mcastSocket.Blocking = false;
				readList.Add(mcastSocket);
				Socket.Select(readList, null, null, c_sleep_time_receive);
				if (readList.Count != 0) // socket activity
				{
					available = mcastSocket.Available;
					if (available > 0) 
					{
						byte[] bytes = new Byte[available];
						remoteEP = (EndPoint)ipAny;
						//Debug.WriteLine("vor ReceiveFrom, available = " + available);
						mcastSocket.Blocking = true;
						mcastSocket.ReceiveFrom(bytes, available, SocketFlags.None, ref remoteEP);
						//Debug.WriteLine("nach ReceiveFrom =");
						string remoteIp = remoteEP.ToString();
						Debug.WriteLine("Received broadcast from " + remoteIp);
						if (bytes.Length > 0) 
						{
							//string xml_msg = Encoding.UTF8.GetString(bytes,0,bytes.Length).ToString();
							if (!ipHash.ContainsKey(remoteIp)) 
							{
								ipHash.Add(remoteIp, 1);
								if (check_xml_msg(bytes)) 
								{
									Context.addPartnerAddress(remoteIp);
								}
							}
						}
					}
					readList.Clear();
				}
				Running = false;
			}
		}
	}
}
